webpackJsonp([32],{

/***/ 1481:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReceiverListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_common__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_http_service__ = __webpack_require__(21);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ReceiverListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ReceiverListPage = (function () {
    function ReceiverListPage(navCtrl, http, navParams, view) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.navParams = navParams;
        this.view = view;
        this.input_number = '';
        this.receiver_arr = [];
        this.task_id = '';
        this.top_contacts = [];
        this.task_id = this.navParams.data.task_id;
        this.getList();
    }
    ReceiverListPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ReceiverListPage');
        if (localStorage.getItem('top_contacts')) {
            this.top_contacts = localStorage.getItem('top_contacts').split(',');
        }
    };
    ReceiverListPage.prototype.getList = function () {
        var _this = this;
        var body = {
            task_id: this.task_id
        };
        this.http.postOriginalData(body, __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].GET_RECEIVER_LIST_URL).then(function (data) {
            if (data && data.success && data.data) {
                _this.receiver_arr = data.data || [];
            }
        });
    };
    ReceiverListPage.prototype.getStatus = function (receiver) {
        var status = receiver.status;
        var option = ['待接收', '已拒绝', '已接收'];
        return option[status];
    };
    // tslint:disable-next-line:variable-name
    ReceiverListPage.prototype.selectNumber = function (number) {
        var _this = this;
        var arr = this.receiver_arr.filter(function (i) { return i.receiver_account === number; });
        if (arr.length) {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('请勿重复添加接收人');
            return;
        }
        var alert = {
            title: '',
            message: "\u662F\u5426\u4E3A[" + number + "]\u6DFB\u52A0\u65BD\u5DE5\u4EFB\u52A1?",
            cancelText: '否',
            okText: '是'
        };
        __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showCustomAlert(alert, function () {
            var body = {
                task_id: _this.task_id,
                receiver_account: [number]
            };
            _this.http.postOriginalData(body, __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].ADD_RECEIVER_LIST_URL).then(function (data) {
                if (data && data.success) {
                    __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].updateContacts([number]);
                    __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('添加成功!');
                    _this.getList();
                }
            });
        });
    };
    ReceiverListPage.prototype.add = function () {
        var _this = this;
        if (this.input_number == '') {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('请输入手机号码!');
            return;
        }
        if (!this.checkAccount(this.input_number)) {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('手机号应为以1开头的11位数字');
            return;
        }
        if (this.receiver_arr.filter(function (i) { return i.receiver_account === _this.input_number; }).length > 0) {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('该接收人已存在，请重新输入');
            return;
        }
        var body = {
            task_id: this.task_id,
            receiver_account: [this.input_number]
        };
        this.http.postOriginalData(body, __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].ADD_RECEIVER_LIST_URL).then(function (data) {
            if (data && data.success) {
                __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('添加成功!');
                _this.getList();
            }
        });
        this.input_number = '';
    };
    ReceiverListPage.prototype.del = function (receiver) {
        var _this = this;
        var alert = {
            title: '',
            message: '您是否要删除此接收人?',
            cancelText: '否',
            okText: '是'
        };
        __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showCustomAlert(alert, function () {
            var body = {
                task_id: _this.task_id,
                task_account_ids: [receiver.id]
            };
            _this.http.postOriginalData(body, __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].DEL_RECEIVER_LIST_URL).then(function (data) {
                if (data && data.success) {
                    __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('删除成功!');
                    _this.getList();
                }
            });
        });
    };
    //校验手机号
    ReceiverListPage.prototype.checkAccount = function (account) {
        if (account == '') {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('手机号不能为空！');
            return false;
        }
        else if (!__WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].checkMobile(account)) {
            __WEBPACK_IMPORTED_MODULE_2__util_common__["a" /* Common */].showToast('手机号应为以1开头的11位数字');
            return false;
        }
        return true;
    };
    ReceiverListPage.prototype.back = function () {
        this.view.dismiss();
    };
    ReceiverListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-receiver-list',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/manage/engineeringlist/receiver-list/receiver-list.html"*/'<!--\n  Generated template for the ReceiverListPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>接收人列表</ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content>\n    <div class="page">\n        <div class="add-item">\n            <ion-input [(ngModel)]="input_number" class="input" type="text" placeholder="请输入接收任务人手机号"></ion-input>\n            <span class="value add" (click)="add()" tappable>添加</span>\n        </div>\n        <div class="split">常用联系人</div>\n        <div class="contact">\n            <span class="label" \n                *ngFor="let number of top_contacts;let i = index" \n                (click)="selectNumber(number)" tappable>{{ number }}</span>\n            <span *ngIf="top_contacts.length === 0">暂无</span>\n        </div>\n        <div class="split">接收人</div>\n        <div class="rec-item" *ngFor="let receiver of receiver_arr;let i = index">\n            <span>{{ receiver.receiver_account }}({{ getStatus(receiver) }})</span>\n            <span class="opr">\n                <span class="del" (click)="del(receiver)" tappable>删除</span>\n            </span>\n        </div>\n        <div class="bottom">\n            <button ion-button block class="button-color" (click)="back()">返回</button>\n        </div>\n    </div>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/manage/engineeringlist/receiver-list/receiver-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_4__util_http_service__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */]])
    ], ReceiverListPage);
    return ReceiverListPage;
}());

//# sourceMappingURL=receiver-list.js.map

/***/ }),

/***/ 422:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReceiverListPageModule", function() { return ReceiverListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__receiver_list__ = __webpack_require__(1481);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReceiverListPageModule = (function () {
    function ReceiverListPageModule() {
    }
    ReceiverListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__receiver_list__["a" /* ReceiverListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__receiver_list__["a" /* ReceiverListPage */]),
            ],
        })
    ], ReceiverListPageModule);
    return ReceiverListPageModule;
}());

//# sourceMappingURL=receiver-list.module.js.map

/***/ })

});
//# sourceMappingURL=32.js.map