webpackJsonp([39],{

/***/ 1474:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DistributedtaskPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__util_common__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_http_service__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the DistributedtaskPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DistributedtaskPage = (function () {
    function DistributedtaskPage(navCtrl, navParams, http, modal) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.modal = modal;
        // form数据
        this.receiverArr = [];
        this.task_type = 1; // 1为施工部署, 2为网络验收，3为施工部署+网络验收
        this.is_need_mac = false;
        this.engList = [];
        this.is_check = false; // 是否审批
        this.mode = 0; // 1为弱管理, 2为强管理
        this.step = 0; // 从工程过来派发当前任务的状态，默认为-1
        this.stepOptions = ['0', '1', '2', '3', '4', '待施工', '施工中', '施工待审批', '待验收', '验收中', '验收待审批'];
        this.okText = "确定";
        this.cancelText = "取消";
        this.project_id = navParams.data.project_id;
        if (navParams.data.step) {
            this.step = Number(navParams.data.step);
            if (this.step === 6) {
                this.task_type = 2;
            }
            this.engList = [{ eng_id: navParams.data.eng_id }];
        }
    }
    DistributedtaskPage.prototype.ionViewDidEnter = function () {
        if (!this.step) {
            this.engList = this.navParams.get('engList') || [];
        }
    };
    DistributedtaskPage.prototype.task_type_change = function (ev) {
        if (!this.step) {
            this.engList = [];
        }
    };
    // 添加接收人
    DistributedtaskPage.prototype.addContact = function () {
        var _this = this;
        var modalTerm = this.modal.create('TopContactPage', { receiverArr: this.receiverArr, task_type: this.task_type });
        modalTerm.onDidDismiss(function (data) {
            _this.receiverArr = data || [];
        });
        modalTerm.present();
    };
    DistributedtaskPage.prototype.showTip = function (e) {
        if (e.checked && Number(this.task_type) !== 2) {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showAlert('提示', '项目审批启用后，施工任务每个点位至少上传一张设备部署图，且项目审批通过后方可开始网络验收任务');
        }
    };
    DistributedtaskPage.prototype.selectEng = function () {
        var params = {
            isSelected: true,
            project_id: this.project_id,
            task_type: Number(this.task_type),
            engList: this.engList
        };
        __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].pushPage(this.navCtrl, 'EngineeringlistPage', params);
    };
    DistributedtaskPage.prototype.fotmatEngList = function (engList) {
        return engList.map(function (i) { return i.eng_name; }).join(',');
    };
    //校验手机号
    DistributedtaskPage.prototype.checkAccount = function (account) {
        if (account == '') {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showToast('手机号不能为空！');
            return false;
        }
        else if (!__WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].checkMobile(account)) {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showToast('手机号应为以1开头的11位数字');
            return false;
        }
        return true;
    };
    DistributedtaskPage.prototype.submit = function () {
        var _this = this;
        if (this.receiverArr.length === 0) {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showToast('请至少选择一个接收人!');
            return;
        }
        if (this.engList.length === 0) {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showToast('请至少选择一个工程!');
            return;
        }
        if (this.receiverArr.length > 1 && this.task_type === 2) {
            __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].showToast('网络验收任务仅能选择一位接收人，请重新选择接收人');
            return;
        }
        var body = {
            receiver_account: this.receiverArr,
            approve_status: this.is_check ? 1 : 0,
            add_mac: this.is_need_mac,
            task_type: this.task_type,
            // management_mode: this.mode,
            eng_ids: this.engList.map(function (i) { return i.eng_id; })
        };
        this.http.postOriginalData(body, __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].PUBLISH_TASK).then(function (data) {
            if (data && data.success && data) {
                // Common.showToast("派发成功！");
                __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].pushPage(_this.navCtrl, 'ResultTipPage', data);
                __WEBPACK_IMPORTED_MODULE_1__util_common__["a" /* Common */].updateContacts(_this.receiverArr);
            }
        });
    };
    DistributedtaskPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-distributedtask',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/manage/distributedtask/distributedtask.html"*/'<!--\n  Generated template for the DistributedtaskPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>派发任务</ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <ion-list class="task">\n        <ion-item class="item">\n            <span class="label">派发给</span>\n            <!-- <span class="value" style="width: 17rem;">\n                <ion-input [(ngModel)]="receiver" type="text" placeholder="请输入接受任务人手机号" class="input"></ion-input>\n            </span> -->\n            <span (click)="addContact()" class="addContact" tappable>添加</span>\n            <span style="float: right"\n                *ngIf="receiverArr.length > 0">{{receiverArr[0]}}({{receiverArr.length}})</span>&nbsp;&nbsp;\n        </ion-item>\n        <ion-item class="item">\n            <ion-label class="label">任务类型</ion-label>\n            <ion-select class="task_type selectSize" [(ngModel)]="task_type" (ionChange)="task_type_change($event)"\n                [okText]="okText" [cancelText]="cancelText">\n                <ion-option value="1" *ngIf="step === 5 || step === 0">施工部署</ion-option>\n                <!-- 施工部署和网络验收只能显示一个 -->\n                <ion-option value="2" *ngIf=" receiverArr.length <= 1">网络验收</ion-option>\n                <ion-option value="3" *ngIf="(step === 5 || step === 0) && receiverArr.length <= 1">施工部署+网络验收\n                </ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item class="item" *ngIf="task_type != 2">\n            <ion-label class="label">录入设备MAC地址</ion-label>\n            <ion-toggle [(ngModel)]="is_need_mac" color="secondary"></ion-toggle>\n        </ion-item>\n        <ion-item class="item" (click)="selectEng()" *ngIf="step === 0" tappable>\n            <ion-label class="label">选择工程</ion-label>\n            <ion-label class="value">{{ engList.length > 0 ? fotmatEngList(engList) : "点击选择" }}</ion-label>\n        </ion-item>\n        <ion-item class="item">\n            <ion-label class="label">工程审批</ion-label>\n            <ion-toggle [(ngModel)]="is_check" color="secondary" (ionChange)="showTip($event)"></ion-toggle>\n        </ion-item>\n        <!-- <div class="item" *ngIf="task_type == 3 && is_check">\n            <span class="label">审批方式</span>\n            <span class="value">\n                <ion-select [(ngModel)]="mode" class="selectSize" [okText]="okText" [cancelText]="cancelText" >\n                    <ion-option value="1">弱管理模式</ion-option>\n                    <ion-option value="2">强管理模式</ion-option>\n                </ion-select>\n            </span>\n        </div> -->\n    </ion-list>\n    <button ion-button block class="button-color" (click)="submit()">派发</button>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/manage/distributedtask/distributedtask.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["n" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__util_http_service__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["l" /* ModalController */]])
    ], DistributedtaskPage);
    return DistributedtaskPage;
}());

//# sourceMappingURL=distributedtask.js.map

/***/ }),

/***/ 415:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DistributedtaskPageModule", function() { return DistributedtaskPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__distributedtask__ = __webpack_require__(1474);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DistributedtaskPageModule = (function () {
    function DistributedtaskPageModule() {
    }
    DistributedtaskPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__distributedtask__["a" /* DistributedtaskPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__distributedtask__["a" /* DistributedtaskPage */]),
            ],
        })
    ], DistributedtaskPageModule);
    return DistributedtaskPageModule;
}());

//# sourceMappingURL=distributedtask.module.js.map

/***/ })

});
//# sourceMappingURL=39.js.map