webpackJsonp([48],{

/***/ 1462:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TracertPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_util__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_random_uuid__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_random_uuid___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_random_uuid__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * 使用的插件：
 * 1. cordova.plugins.ping
 */
var TracertPage = (function () {
    function TracertPage(nav, alertCtrl) {
        this.nav = nav;
        this.alertCtrl = alertCtrl;
        //搜索框的值
        this._host = ''; // tracert地址
        this._hostValid = false; // 主机号或ip是否正确 
        this._historyList = new Set();
    }
    // 视图即将加载时执行
    TracertPage.prototype.ionViewWillEnter = function () {
        this.onRefresh();
    };
    // 视图即将卸载时执行
    TracertPage.prototype.ionViewWillUnload = function () {
    };
    // 页面刷新
    TracertPage.prototype.onRefresh = function () {
        this._historyList = new Set(JSON.parse(localStorage.getItem('tracert-history')) || []);
    };
    // 开始测试
    TracertPage.prototype.start = function () {
        if (!this._hostValid) {
            return;
        }
        __WEBPACK_IMPORTED_MODULE_2__util_util__["b" /* Common */].pushPage(this.nav, 'TracertTerminalPage', { host: this._host });
        this.addToHistory({
            host: this._host
        });
    };
    // 测试记录
    TracertPage.prototype.testRecord = function (item) {
        // 检查是否非空
        if (!item || !item.host) {
            return;
        }
        __WEBPACK_IMPORTED_MODULE_2__util_util__["b" /* Common */].pushPage(this.nav, 'TracertTerminalPage', { host: item.host });
        this.addToHistory(item);
    };
    /**
     * 删除记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TracertPage.prototype.delete = function (item) {
        if (this.deleteFromHistory(item)) {
            this.onRefresh();
        }
    };
    // 删除记录
    TracertPage.prototype.deleteItem = function (item) {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: '是否删除记录 ' + item.host,
            message: '<span style="color:#fff;">删除后无法恢复，您确定要删除？</span>',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        _this.delete(item);
                    }
                }
            ]
        });
        alert.present();
    };
    // 删除所有
    TracertPage.prototype.deleteAll = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: '删除所有历史记录',
            message: '<span style="color:#fff;">删除后无法恢复，您确定要删除？</span>',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        localStorage.setItem('tracert-history', JSON.stringify([]));
                        _this.onRefresh(); // 删除成功后刷新
                    }
                }
            ]
        });
        alert.present();
    };
    // 主机号输入事件
    TracertPage.prototype.hostInput = function () {
        if (!this._host || !/^((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d)(\.((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d)){3}$|^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}$/.test(this._host)) {
            this._hostValid = false;
        }
        else {
            this._hostValid = true;
        }
    };
    /**
     * 保存结果到历史记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TracertPage.prototype.addToHistory = function (item) {
        // 检查是否非空
        if (!item || !item.host) {
            return;
        }
        // 提取历史记录
        var list = JSON.parse(localStorage.getItem('tracert-history'));
        // 无记录则新增
        if (!list || !Array.isArray(list)) {
            list = [];
        }
        var rIndex = this.exitInHistory(item, list);
        if (rIndex > -1) {
            var copy = JSON.parse(JSON.stringify(list[rIndex])); // 复制
            list.splice(rIndex, 1); // 删除原记录
            copy.usedCount++; // 使用次数加1
            copy.updatedTime = __WEBPACK_IMPORTED_MODULE_2__util_util__["b" /* Common */].getDateString(new Date(), 3); // 更新日期
            list.unshift(copy); // 移动到历史记录头部
            localStorage.setItem('tracert-history', JSON.stringify(list));
        }
        else {
            item.uuid = __WEBPACK_IMPORTED_MODULE_3_random_uuid__();
            item.createdTime = __WEBPACK_IMPORTED_MODULE_2__util_util__["b" /* Common */].getDateString(new Date(), 3); // 创建日期
            item.updatedTime = __WEBPACK_IMPORTED_MODULE_2__util_util__["b" /* Common */].getDateString(new Date(), 3); // 更新日期
            item.usedCount = 1; // 使用次数
            list.unshift(item);
            localStorage.setItem('tracert-history', JSON.stringify(list));
        }
        // 刷新页面
        this.onRefresh();
    };
    /**
     * 删除历史记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TracertPage.prototype.deleteFromHistory = function (item) {
        if (!item || !item.uuid || !item.host) {
            return false;
        }
        // 保存测试记录到本地缓存
        var list = JSON.parse(localStorage.getItem('tracert-history'));
        if (!list || !Array.isArray(list)) {
            list = [];
        }
        for (var i = 0; i < list.length; i++) {
            var host = list[i] && list[i].host || '';
            if (item.host === list[i].host) {
                list.splice(i, 1); // 删除原记录
                localStorage.setItem('tracert-history', JSON.stringify(list));
                return true;
            }
        }
        return false;
    };
    /**
     * 是否存在于历史记录中，不存在返回 -1， 否则 返回其在数组中的位置
     * @param item
     */
    TracertPage.prototype.exitInHistory = function (item, list) {
        // 记录无主机号, 无历史记录链名
        if (!item.host || list.length < 1) {
            return -1;
        }
        for (var i = 0; i < list.length; i++) {
            var host = list[i] && list[i].host || '';
            if (item.host === list[i].host) {
                return i;
            }
        }
        return -1;
    };
    TracertPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'page-tracert',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/tracert/tracert.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>\n            Tracert\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <ion-list no-lines>\n        <div class="input-block flex-block">\n            <ion-input class="my-input" type="url" placeholder="请输入主机名或IP" [(ngModel)]="_host" (input)="hostInput()"></ion-input>\n            <div class="my-btn flex-block" [ngClass]="{\'disabled\': !_hostValid}"  (click)="start()">GO</div>\n        </div>\n    </ion-list>\n\n    <div class="history-block">\n        <div class="header">\n            历史记录\n        </div>\n        <div class="item" *ngFor="let item of _historyList" (click)="testRecord(item)" (press)="deleteItem(item)">\n            {{item.host}}\n        </div>\n        <div class="item clear" *ngIf="_historyList.size" (click)="deleteAll()">\n            <span>清除</span>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/tracert/tracert.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["b" /* AlertController */]])
    ], TracertPage);
    return TracertPage;
}());

//# sourceMappingURL=tracert.js.map

/***/ }),

/***/ 403:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TracertModule", function() { return TracertModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__tracert__ = __webpack_require__(1462);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TracertModule = (function () {
    function TracertModule() {
    }
    TracertModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__tracert__["a" /* TracertPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__tracert__["a" /* TracertPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__tracert__["a" /* TracertPage */]],
        })
    ], TracertModule);
    return TracertModule;
}());

//# sourceMappingURL=tracert.module.js.map

/***/ })

});
//# sourceMappingURL=48.js.map