webpackJsonp([49],{

/***/ 1463:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TracertTerminalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * 此页面的 Socket 需要插件cordova-plugin-ping的支持
 */
// 都是一些字符串 用于parse 用的
// 最大的_ttl跳转 可以自己设定
var MAX_TTL = 30;
// 都是一些字符串 用于parse 用的
var PING = "PING";
var FROM_PING = "From";
var SMALL_FROM_PING = "from";
var PARENTHESE_OPEN_PING = "(";
var PARENTHESE_CLOSE_PING = ")";
var TIME_PING = "time=";
var EXCEED_PING = "exceed";
var UNREACHABLE_PING = "100%";
var TracertTerminalPage = (function () {
    function TracertTerminalPage(nav, params, zone, loadingCtrl) {
        this.nav = nav;
        this.params = params;
        this.zone = zone;
        this.loadingCtrl = loadingCtrl;
        this._host = ''; // ping地址
        this._error = '';
        this._max_ttl = MAX_TTL; // 最大的_ttl跳转 可以自己设定
        this._ttl = 1; // 初始化默认_ttl 为1
        this._traces = new Array(); // 存放结果集的tarces
        this._isTracing = false; // 是否正在追踪
        this._needToStop = false; // 是否需要停止
        this._step = 0; // 当前跳数
        this._connecting = true; // 是否正在连接中
        this._host = this.params.get('host');
        this._traces = [];
        this._loading = this.loadingCtrl.create({
            spinner: 'crescent',
            enableBackdropDismiss: true,
            content: '连接中...'
        });
    }
    // invoked after view loaded
    TracertTerminalPage.prototype.ionViewDidLoad = function () {
        this.start();
    };
    // invoked when view will unload
    TracertTerminalPage.prototype.ionViewWillUnload = function () {
        this._ttl = 31; // 退出页面时设置跳数超过最大值，让ping 停止
    };
    // invoked after view rendered
    // tslint:disable-next-line:use-life-cycle-interface
    TracertTerminalPage.prototype.ngAfterViewChecked = function () {
        try {
            // scroll to bottom
            if (this._isTracing) {
                this.scrollToBottom(this._scroll._scrollContent.nativeElement);
            }
        }
        catch (error) { }
    };
    //显示tracert的测试内容
    TracertTerminalPage.prototype.start = function () {
        if (this._isTracing || !window.Ping) {
            return;
        }
        this._connecting = true;
        this._loading.present(); // 显示指示器
        this._isTracing = true;
        this._ttl = 1;
        this._traces = [];
        this.launchPing(this._host, this._ttl);
    };
    // 开始tracert
    TracertTerminalPage.prototype.launchPing = function (url, ttl) {
        var _this = this;
        if (ttl > 30) {
            return;
        }
        var params = "-c 1 -t " + ttl;
        var ipList = [{ host: url, params: params }];
        // const lostNum:number;
        var startTime = new Date().getTime();
        var p = new window.Ping();
        var array = [];
        p.onprogress = function (value) {
            _this.zone.run(function () {
                array.push(value.msg || "");
            });
        };
        p.ping(ipList, function (result) {
            _this._connecting = false;
            _this._loading.dismiss(); // 隐藏指示器
            var time = new Date().getTime() - startTime;
            var msg = '';
            var ip = '';
            for (var i = 0; i < array.length; i++) {
                if (_this._ttl === 1 && /PING/.test(array[i])) {
                    msg = array[i];
                    break;
                }
                if (_this._ttl > 1 && /from/i.test(array[i])) {
                    msg = array[i];
                    break;
                }
            }
            if (!msg) {
                if (_this._ttl === 1) {
                    _this._traces.push({
                        status: 'failed',
                        text: "tracert " + _this._host + " \u5931\u8D25"
                    });
                    _this._isTracing = false;
                    p.stopPing();
                    return;
                }
                else {
                    _this._step = _this._ttl - 1;
                    _this._traces.push({
                        status: 'tracerting',
                        step: _this._ttl - 1,
                        time: null,
                        ip: null
                    });
                }
            }
            else {
                ip = _this.parseIpFromPing(msg);
                if (_this._ttl === 1) {
                    _this._ipToPing = ip;
                    _this._traces.push({
                        status: 'start',
                        text: "\u901A\u8FC7\u6700\u591A30\u4E2A\u8DC3\u70B9\n\u5230\u8FBE " + _this._host + " \uFF08" + ip + "\uFF09 \u7684\u8DEF\u7531\uFF1A\n\n"
                    });
                }
                else {
                    _this._step = _this._ttl - 1;
                    _this._traces.push({
                        status: 'tracerting',
                        step: _this._ttl - 1,
                        time: time,
                        ip: ip
                    });
                    if (_this._ipToPing == ip) {
                        _this._ttl = 30;
                    }
                }
            }
            _this._ttl++;
            if (_this._ttl <= 30) {
                _this.launchPing(_this._host, _this._ttl);
            }
            else {
                _this._traces.push({
                    status: 'done',
                    text: '跟踪完成'
                });
                _this._isTracing = false;
                p.stopPing();
            }
        }, function (e) {
            _this._connecting = false;
            _this._loading.dismiss(); // 隐藏指示器
            _this._error = typeof e === 'string' ? e : JSON.stringify(e);
            _this._isTracing = false;
            p.stopPing();
        });
    };
    /**
     * 从结果中解析出ip
     * @param ping
     */
    TracertTerminalPage.prototype.parseIpFromPing = function (ping) {
        if (!ping) {
            return "";
        }
        var ip = "";
        var res = ping.match(/((25[0-5]|2[0-4]\d|((1\d{2})|([1-9]?\d)))\.){3}(25[0-5]|2[0-4]\d|((1\d{2})|([1-9]?\d)))/);
        if (res instanceof Array) {
            ip = res[0] || "";
        }
        return ip;
    };
    /**
     * 从结果中解析出时间
     * @param ping
     */
    TracertTerminalPage.prototype.parseTimeFromPing = function (ping) {
        var time = "";
        if (ping.indexOf(TIME_PING) > -1) {
            var index = ping.indexOf(TIME_PING);
            time = ping.substring(index + 5);
            index = time.indexOf(" ");
            time = time.substring(0, index);
        }
        return time;
    };
    // scroll to bottom
    TracertTerminalPage.prototype.scrollToBottom = function (scroll) {
        scroll.scrollTop = scroll.scrollHeight;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["ViewChild"])('scroll'),
        __metadata("design:type", Object)
    ], TracertTerminalPage.prototype, "_scroll", void 0);
    TracertTerminalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'page-tracert-terminal',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/tracert/tracert-terminal/tracert-terminal.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>\n            正在查询\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <div class="wrap" ion-fixed>\n        <div class="state-block flex-block">\n            <div class="start">\n                <div class="content">\n                    <ion-img  class="img" src="assets/common/client-phone-01.svg"></ion-img>\n                </div>\n            </div>\n            <div class="middle flex-block">\n                <div class="left line">\n                    <ion-img class="img" src="assets/common/short-dotted-line.svg"></ion-img>\n                </div>\n                <div class="center">\n                    <div class="number flex-block">{{_step}}</div>\n                </div>\n                <div class="right line">\n                    <ion-img class="img" src="assets/common/short-dotted-line.svg"></ion-img>\n                </div>\n            </div>\n            <div class="end">\n                <div class="content">\n                    <ion-img class="img" src="assets/common/server-01.svg"></ion-img>\n                </div>\n            </div>\n        </div>\n        <div class="cli-block">\n            <ion-scroll scrollY="true" #scroll> \n                <div class="item" [ngClass]="{\'step-item\': item.status===\'tracerting\', \'done\': item.status===\'done\', \'failed\': item.status===\'failed\'}"  text-left *ngFor="let item of _traces">\n                    <div class="step flex-block" *ngIf="item.status===\'tracerting\'">\n                        {{item.step}}\n                    </div>\n                    <div class="time" *ngIf="item.status===\'tracerting\'">\n                        {{item.time?item.time+\'ms\':\'*\'}}\n                    </div>\n                    <div class="ip" *ngIf="item.status===\'tracerting\'">\n                        {{item.ip?item.ip:\'超时\'}}\n                    </div>\n                    <div class="text" *ngIf="item.status!==\'tracerting\'">\n                        {{item.text}}\n                    </div>\n                </div>\n            </ion-scroll>\n        </div>\n    </div>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/tracert/tracert-terminal/tracert-terminal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1__angular_core__["NgZone"],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["k" /* LoadingController */]])
    ], TracertTerminalPage);
    return TracertTerminalPage;
}());

//# sourceMappingURL=tracert-terminal.js.map

/***/ }),

/***/ 404:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TracertTerminalModule", function() { return TracertTerminalModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__tracert_terminal__ = __webpack_require__(1463);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TracertTerminalModule = (function () {
    function TracertTerminalModule() {
    }
    TracertTerminalModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__tracert_terminal__["a" /* TracertTerminalPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__tracert_terminal__["a" /* TracertTerminalPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__tracert_terminal__["a" /* TracertTerminalPage */]],
        })
    ], TracertTerminalModule);
    return TracertTerminalModule;
}());

//# sourceMappingURL=tracert-terminal.module.js.map

/***/ })

});
//# sourceMappingURL=49.js.map