webpackJsonp([51],{

/***/ 1456:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TelnetPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_random_uuid__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_random_uuid___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_random_uuid__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__util_util__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TelnetPage = (function () {
    function TelnetPage(nav, params) {
        this.nav = nav;
        this.params = params;
        this._host = ''; // 主机号
        this._socket = {}; // socket连接
        this._hostValid = false; // 主机号校验
        this._host = params.get("terminal_ip");
        if (this._host) {
            this._hostValid = true;
        }
    }
    TelnetPage.prototype.ionViewDidLoad = function () {
    };
    TelnetPage.prototype.ionViewWillEnter = function () {
        this.onRefresh();
    };
    TelnetPage.prototype.ionViewWillUnload = function () {
    };
    TelnetPage.prototype.onRefresh = function () {
        this._historyList = new Set(JSON.parse(localStorage.getItem('telnet-history')) || []);
    };
    /**
     * 连接到终端
     * @param {any} [address]
     * @returns
     * @memberof TelnetPage
     */
    TelnetPage.prototype.connect = function (address) {
        if ((!address || !address.host) && !this._host) {
            return;
        }
        var addr = {};
        addr.host = !address ? this._host : address.host;
        addr.port = !address ? (!this._port && this._port !== 0 ? 23 : this._port) : (!address.port && address.port !== 0 ? 23 : address.port); // 默认取 23 端口
        this.addToHistory(addr); // 添加到历史记录
        __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].pushPage(this.nav, 'TelnetTerminalPage', {
            address: addr
        });
    };
    /**
     * 删除记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TelnetPage.prototype.delete = function (item) {
        if (this.deleteFromHistory(item)) {
            this.onRefresh();
        }
    };
    // 主机号输入事件
    TelnetPage.prototype.hostInput = function () {
        if (!this._host || !/^((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d)(\.((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]\d)|\d)){3}$|^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}$/.test(this._host)) {
            this._hostValid = false;
        }
        else {
            this._hostValid = true;
        }
    };
    /**
     * 保存结果到历史记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TelnetPage.prototype.addToHistory = function (item) {
        // 检查是否非空
        if (!item || !item.host) {
            return;
        }
        // 提取历史记录
        var list = JSON.parse(localStorage.getItem('telnet-history'));
        // 无记录则新增
        if (!list || !Array.isArray(list)) {
            list = [];
        }
        var rIndex = this.exitInHistory(item, list);
        if (rIndex > -1) {
            var copy = JSON.parse(JSON.stringify(list[rIndex])); // 复制
            list.splice(rIndex, 1); // 删除原记录
            copy.usedCount++; // 使用次数加1
            copy.updatedTime = __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].getDateString(new Date(), 3); // 更新日期
            list.unshift(copy); // 移动到历史记录头部
            localStorage.setItem('telnet-history', JSON.stringify(list));
        }
        else {
            item.uuid = __WEBPACK_IMPORTED_MODULE_2_random_uuid__();
            item.port = +item.port;
            item.createdTime = __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].getDateString(new Date(), 3); // 创建日期
            item.updatedTime = __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].getDateString(new Date(), 3); // 更新日期
            item.usedCount = 1; // 使用次数
            list.unshift(item);
            localStorage.setItem('telnet-history', JSON.stringify(list));
        }
        // 刷新页面
        this.onRefresh();
    };
    /**
     * 删除历史记录
     * @param {any} item
     * @memberof TelnetPage
     */
    TelnetPage.prototype.deleteFromHistory = function (item) {
        if (!item || !item.uuid || !item.host) {
            return false;
        }
        // 保存测试记录到本地缓存
        var list = JSON.parse(localStorage.getItem('telnet-history'));
        if (!list || !Array.isArray(list)) {
            list = [];
        }
        for (var i = 0; i < list.length; i++) {
            var host = list[i] && list[i].host || '';
            if (item.host === list[i].host) {
                list.splice(i, 1); // 删除原记录
                localStorage.setItem('telnet-history', JSON.stringify(list));
                return true;
            }
        }
        return false;
    };
    /**
     * 是否存在于历史记录中，不存在返回 -1， 否则 返回其在数组中的位置
     * @param item
     */
    TelnetPage.prototype.exitInHistory = function (item, list) {
        // 记录无主机号, 无历史记录链名
        if (!item.host || list.length < 1) {
            return -1;
        }
        for (var i = 0; i < list.length; i++) {
            var host = list[i] && list[i].host || '';
            if (item.host === list[i].host && item.port === list[i].port) {
                return i;
            }
        }
        return -1;
    };
    TelnetPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'page-telnet',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/telnet/telnet.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>\n            Telnet\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <ion-list>\n        <ion-item>\n            <ion-label stacked>主机</ion-label>\n            <ion-input type="url" placeholder="请输入ip地址或域名" (input)="hostInput()" [(ngModel)]="_host" class="input"></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-label stacked>端口号</ion-label>\n            <ion-input type="number" placeholder="默认端口23，选填" max="65535" min="1" [(ngModel)]="_port"></ion-input>\n        </ion-item>\n    </ion-list>\n\n    <!-- <div class="button-connect"> -->\n    <button ion-button color="activedColor" round [disabled]="!_hostValid" (click)="connect()"\n        class="connect_btn">连接</button>\n    <!-- </div> -->\n\n    <ion-list>\n        <div class="record">\n            历史记录\n        </div>\n        <ion-item-sliding *ngFor="let item of _historyList">\n            <div ion-item (click)="connect(item)" class="history_item">\n                <div class="inner_div">\n                    <h2 class="title">{{item.host}}</h2>\n                    <div item-end class="right_text">\n                        <ion-note>{{item.port}}</ion-note>\n                        <img class="enter-icon" src="assets/common/enter.svg">\n                    </div>\n                </div>\n            </div>\n            <ion-item-options>\n                <button ion-button color="danger" (click)="delete(item)">删除</button>\n            </ion-item-options>\n        </ion-item-sliding>\n    </ion-list>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/telnet/telnet.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["n" /* NavParams */]])
    ], TelnetPage);
    return TelnetPage;
}());

//# sourceMappingURL=telnet.js.map

/***/ }),

/***/ 398:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TelnetModule", function() { return TelnetModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__telnet__ = __webpack_require__(1456);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TelnetModule = (function () {
    function TelnetModule() {
    }
    TelnetModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__telnet__["a" /* TelnetPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__telnet__["a" /* TelnetPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__telnet__["a" /* TelnetPage */]],
        })
    ], TelnetModule);
    return TelnetModule;
}());

//# sourceMappingURL=telnet.module.js.map

/***/ })

});
//# sourceMappingURL=51.js.map