webpackJsonp([52],{

/***/ 1455:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TelnetTerminalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * 此页面的 Socket 需要插件cz.blocshop.socketsforcordova的支持
 */
var TelnetTerminalPage = (function () {
    function TelnetTerminalPage(nav, params, alertCtrl, loadingCtrl, navCtrl) {
        this.nav = nav;
        this.params = params;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.navCtrl = navCtrl;
        this._host = ''; // 主机号
        this._port = ''; // 端口号
        this._socket = {}; // socket连接
        this._inputValue = '';
        this.timer = null;
        this._host = this.params.get('address') && this.params.get('address').host;
        this._port = this.params.get('address') && this.params.get('address').port;
        this._traceData = [];
        this._loading = this.loadingCtrl.create({
            spinner: 'crescent',
            enableBackdropDismiss: true,
            content: '正在连接...'
        });
    }
    // invoked after view loaded
    TelnetTerminalPage.prototype.ionViewDidLoad = function () {
        this.initSocket();
    };
    // invoked when view will unload
    TelnetTerminalPage.prototype.ionViewWillUnload = function () {
        if (this._socket && this._socket.close) {
            this._socket.close();
        }
    };
    // invoked after view rendered
    // tslint:disable-next-line:use-life-cycle-interface
    TelnetTerminalPage.prototype.ngAfterViewChecked = function () {
        try {
            // scroll to bottom
            this.scrollToBottom(this._scroll._scrollContent.nativeElement);
        }
        catch (error) { }
    };
    //initialize socket
    TelnetTerminalPage.prototype.initSocket = function () {
        var _this = this;
        if (!window.Socket) {
            return;
        }
        this._loading.present(); // 显示指示器
        this._socket = new window.Socket();
        this.timer = setTimeout(function () {
            if (_this._socket.state == '0' || _this._socket.state == '1') {
                _this._socket.close();
                _this._loading.dismiss();
                var alert_1 = _this.alertCtrl.create({
                    enableBackdropDismiss: false,
                    title: '连接超时,请重试',
                    buttons: [
                        {
                            text: '确定', handler: function () {
                                _this.navCtrl.pop();
                            }
                        }
                    ]
                });
                alert_1.present();
            }
        }, 3000);
        this._socket.onData = function (uint8Array) {
            // invoked after new batch of data is received (typed array of bytes Uint8Array)
            console.log('onData function output: ');
            console.dir(_this.u8ArrayToString(uint8Array));
            console.log('************************************************');
            _this._loading.dismiss(); // 隐藏指示器
            _this.receiveData(_this.u8ArrayToString(uint8Array));
        };
        this._socket.onError = function (errorMessage) {
            // invoked after error occurs during connection
            console.log('onError function output: ');
            console.dir(errorMessage);
            console.log('************************************************');
            _this._loading.dismiss(); // 隐藏指示器
            _this.receiveData(errorMessage);
        };
        this._socket.onClose = function (hasError) {
            // invoked after connection close
            // invoked after error occurs during connection
            console.log('onClose function output: ');
            console.dir(hasError);
            console.log('************************************************');
            _this._loading.dismiss(); // 隐藏指示器
        };
        this._socket.open(this._host, this._port, function (data) {
            // invoked after successful opening of socket
            console.log('invoked after successful opening of socket: ');
            console.dir(data);
        }, function (errorMessage) {
            // invoked after unsuccessful opening of socket
            console.log('invoked after unsuccessful opening of socket: ');
            console.dir(errorMessage);
            _this._loading.dismiss();
        });
    };
    TelnetTerminalPage.prototype.ionViewWillLeave = function () {
        clearTimeout(this.timer);
    };
    // send data to server
    TelnetTerminalPage.prototype.send = function () {
        var _this = this;
        if (this._socket.state !== window.Socket.State.OPENED) {
            return;
        }
        var dataString = this._inputValue;
        var lastMsg;
        var len = this._traceData.length - 1;
        // 获取上一个消息
        while (len >= 0) {
            var msg = this._traceData[len];
            if (msg && msg.trim()) {
                lastMsg = msg.trim();
                len = -1;
            }
            len--;
        }
        var showMsg = /password:/ig.test(lastMsg) ? '******' : dataString; // 判断是否未password 输入请求
        this._socket.write(this.stringToU8Array(dataString), function (data) {
            // invoked after successful send of socket
            console.log('invoked after successful send of socket: ');
            console.dir(data);
            _this.receiveData(showMsg);
            _this._inputValue = '';
        }, function (errorMessage) {
            // invoked after unsuccessful send of socket
            console.log('invoked after unsuccessful send of socket: ');
            console.dir(errorMessage);
        });
    };
    // receive data
    TelnetTerminalPage.prototype.receiveData = function (str) {
        var _this = this;
        str.split(/(?:\r\n|\r|\n)/g).forEach(function (element) {
            _this._traceData.push(element);
        });
    };
    // covert string to Uint8Array
    TelnetTerminalPage.prototype.stringToU8Array = function (str) {
        var bytes = new Uint8Array(str.length + 1);
        for (var i = 0; i < str.length; i++) {
            bytes[i] = str.charCodeAt(i);
        }
        bytes[str.length] = "\n".charCodeAt(0);
        return bytes;
    };
    // covert Uint8Array to string
    TelnetTerminalPage.prototype.u8ArrayToString = function (array) {
        var out, i, len, c;
        var char2, char3;
        out = "";
        len = array.length;
        i = 0;
        while (i < len) {
            c = array[i++];
            // tslint:disable-next-line:no-bitwise
            switch (c >> 4) {
                case 0:
                case 1:
                case 2:
                case 3:
                case 4:
                case 5:
                case 6:
                case 7:
                    // 0xxxxxxx
                    out += String.fromCharCode(c);
                    break;
                case 12:
                case 13:
                    // 110x xxxx   10xx xxxx
                    char2 = array[i++];
                    // tslint:disable-next-line:no-bitwise
                    out += String.fromCharCode(((c & 0x1F) << 6) | (char2 & 0x3F));
                    break;
                case 14:
                    // 1110 xxxx  10xx xxxx  10xx xxxx
                    char2 = array[i++];
                    char3 = array[i++];
                    // tslint:disable-next-line:no-bitwise
                    out += String.fromCharCode(((c & 0x0F) << 12) |
                        // tslint:disable-next-line:no-bitwise
                        ((char2 & 0x3F) << 6) |
                        // tslint:disable-next-line:no-bitwise
                        ((char3 & 0x3F) << 0));
                    break;
            }
        }
        return out;
        // let chars = new Array(array.length);
        // for (var i = 0; i < array.length; i++) {
        //     chars.push(String.fromCharCode(array[i]));
        // }
        // return chars.join("");
        //return new window.TextDecoder("utf-8").decode(array);
    };
    // scroll to bottom
    TelnetTerminalPage.prototype.scrollToBottom = function (scroll) {
        scroll.scrollTop = scroll.scrollHeight;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["ViewChild"])('scroll'),
        __metadata("design:type", Object)
    ], TelnetTerminalPage.prototype, "_scroll", void 0);
    TelnetTerminalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'page-telnet-terminal',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/telnet/telnet-terminal/telnet-terminal.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>\n            Telnet\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <div class="wrap" ion-fixed>\n        <div class="toolbar">\n            <ion-input type="text" class="input" [(ngModel)]="_inputValue" clearInput></ion-input>\n            <button ion-button class="btn" color="activedColor" float-right (click)="send()">发送</button>\n        </div>\n        <ion-scroll scrollY="true" #scroll>\n            <div class="item" text-left *ngFor="let str of _traceData">\n                {{str}}\n            </div>\n        </ion-scroll>\n    </div>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/telnet/telnet-terminal/telnet-terminal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["k" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */]])
    ], TelnetTerminalPage);
    return TelnetTerminalPage;
}());

//# sourceMappingURL=telnet-terminal.js.map

/***/ }),

/***/ 397:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TelnetTerminalModule", function() { return TelnetTerminalModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__telnet_terminal__ = __webpack_require__(1455);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TelnetTerminalModule = (function () {
    function TelnetTerminalModule() {
    }
    TelnetTerminalModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__telnet_terminal__["a" /* TelnetTerminalPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__telnet_terminal__["a" /* TelnetTerminalPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__telnet_terminal__["a" /* TelnetTerminalPage */]],
        })
    ], TelnetTerminalModule);
    return TelnetTerminalModule;
}());

//# sourceMappingURL=telnet-terminal.module.js.map

/***/ })

});
//# sourceMappingURL=52.js.map