webpackJsonp([54],{

/***/ 1454:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SshTerminalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * 插件:cordova-plugin-ssh-connect
 */
var SshTerminalPage = (function () {
    function SshTerminalPage(nav, params, alertCtrl, loadingCtrl, navCtrl) {
        this.nav = nav;
        this.params = params;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.navCtrl = navCtrl;
        this._host = ''; // 主机号
        this._port = ''; // 端口号
        this._userName = ''; //用户名
        this._password = ''; //密码
        this._socket = {}; // socket连接
        this._inputValue = '';
        this.timer = null;
        this.state = 0; //ssh连接状态
        this._host = this.params.get('address') && this.params.get('address').host;
        this._port = this.params.get('address') && this.params.get('address').port;
        this._userName = this.params.get('userName');
        this._password = this.params.get('password');
        this._traceData = [];
        this._loading = this.loadingCtrl.create({
            spinner: 'crescent',
            enableBackdropDismiss: true,
            content: '正在连接...'
        });
    }
    // invoked after view loaded
    SshTerminalPage.prototype.ionViewDidLoad = function () {
        this.connectSsh();
    };
    // invoked when view will unload
    SshTerminalPage.prototype.ionViewWillUnload = function () {
        window.cordova.plugins.sshConnect.disconnect(function (success) {
            console.log("sshConnect cloesd!");
        }, function (failure) { });
        //this._socket && this._socket.close && this._socket.close();
    };
    // invoked after view rendered
    // tslint:disable-next-line:use-life-cycle-interface
    SshTerminalPage.prototype.ngAfterViewChecked = function () {
        try {
            // scroll to bottom
            this.scrollToBottom(this._scroll._scrollContent.nativeElement);
        }
        catch (error) { }
    };
    //连接ssh
    SshTerminalPage.prototype.connectSsh = function () {
        var _this = this;
        this._loading.present(); // 显示指示器
        window.cordova.plugins.sshConnect.connect(this._userName, this._password, this._host, this._port, function (resp) {
            console.log("success result=" + resp);
            _this._loading.dismiss();
            if (resp) {
                _this.state = 1;
                _this.receiveData(resp);
            }
        }, function (failure) {
            console.log("failure result=" + failure);
            // let alert = this.alertCtrl.create({
            //     enableBackdropDismiss: false,
            //     title: '连接失败,请检查当前IP是否支持SSH',
            //     buttons: [
            //         {
            //             text: '确定', handler: () => {
            //                 this.navCtrl.pop();
            //             }
            //         }
            //     ]
            // });
            // alert.present()
            //this._loading.dismiss();
            _this.state = -1;
        });
        this.timer = setTimeout(function () {
            if (_this.state === 0 || _this.state === -1) {
                _this._loading.dismiss();
                var alert_1 = _this.alertCtrl.create({
                    enableBackdropDismiss: false,
                    title: '连接超时,请重试',
                    buttons: [
                        {
                            text: '确定', handler: function () {
                                _this.navCtrl.pop();
                            }
                        }
                    ]
                });
                alert_1.present();
            }
        }, 3000);
    };
    SshTerminalPage.prototype.ionViewWillLeave = function () {
        clearTimeout(this.timer);
    };
    //发送ssh指令
    SshTerminalPage.prototype.send = function () {
        var _this = this;
        if (this.state !== 1) {
            return;
        }
        var dataString = this._inputValue;
        var lastMsg;
        var len = this._traceData.length - 1;
        // 获取上一个消息
        while (len >= 0) {
            var msg = this._traceData[len];
            if (msg && msg.trim()) {
                lastMsg = msg.trim();
                len = -1;
            }
            len--;
        }
        window.cordova.plugins.sshConnect.executeCommand(dataString, function (data) {
            // invoked after successful send of socket
            console.log('invoked after successful send of socket: ');
            console.log(data);
            _this.receiveData(data);
            _this._inputValue = '';
        }, function (errorMessage) {
            // invoked after unsuccessful send of socket
            console.log('invoked after unsuccessful send of socket: ');
            console.dir(errorMessage);
        });
    };
    // receive data
    SshTerminalPage.prototype.receiveData = function (str) {
        var _this = this;
        var rep = /\[.*?m/g;
        str = str.replace(rep, ""); //替换掉ssh返回字符串中带有颜色标识的字符[xxm
        str.split(/(?:\r\n|\r|\n)/g).forEach(function (element) {
            _this._traceData.push(element);
        });
    };
    // scroll to bottom
    SshTerminalPage.prototype.scrollToBottom = function (scroll) {
        scroll.scrollTop = scroll.scrollHeight;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["ViewChild"])('scroll'),
        __metadata("design:type", Object)
    ], SshTerminalPage.prototype, "_scroll", void 0);
    SshTerminalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'page-ssh-terminal',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/ssh/ssh-terminal/ssh-terminal.html"*/'<ion-header>\n    <ion-navbar color="primary">\n        <ion-title>\n            SSH\n        </ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content>\n    <div class="wrap" ion-fixed>\n        <div class="toolbar">\n            <ion-input type="text" class="input" [(ngModel)]="_inputValue" clearInput></ion-input>\n            <button ion-button class="btn" color="activedColor" float-right (click)="send()">发送</button>\n        </div>\n        <ion-scroll scrollY="true" #scroll>\n            <div class="item" text-left *ngFor="let str of _traceData">\n                {{str}}\n            </div>\n        </ion-scroll>\n    </div>\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/tools/ssh/ssh-terminal/ssh-terminal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["k" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["m" /* NavController */]])
    ], SshTerminalPage);
    return SshTerminalPage;
}());

//# sourceMappingURL=ssh-terminal.js.map

/***/ }),

/***/ 396:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SshTerminalModule", function() { return SshTerminalModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ssh_terminal__ = __webpack_require__(1454);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SshTerminalModule = (function () {
    function SshTerminalModule() {
    }
    SshTerminalModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__ssh_terminal__["a" /* SshTerminalPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__ssh_terminal__["a" /* SshTerminalPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__ssh_terminal__["a" /* SshTerminalPage */]],
        })
    ], SshTerminalModule);
    return SshTerminalModule;
}());

//# sourceMappingURL=ssh-terminal.module.js.map

/***/ })

});
//# sourceMappingURL=54.js.map