webpackJsonp([63],{

/***/ 1435:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WifiSafeTestPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_http_service__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_util__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__util_db_operator__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__ = __webpack_require__(111);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var WifiSafeTestPage = (function () {
    function WifiSafeTestPage(nav, http, alertCtrl, params, zone, loading, device) {
        this.nav = nav;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.params = params;
        this.zone = zone;
        this.loading = loading;
        this.device = device;
        this.testItems = []; //安全测试测试项
        this.aborted = true;
        this.isDestroy = false;
        this.hasConnect = false; //WiFi是否连接
        this.testStatus = "stop";
        this.ssidRishCheck = true; //SSID风险检测
        this.encryAnalysis = true; //加密分析
        this.deviceScan = true; //内网设备扫描
        this.attackCheck = true; //内网攻击检测
        this.accessAnalysis = true; //访问权限分析
        this.terminal_isolation = true; //终端隔离
        this.originalUrl = 'www.baidu.com'; //访问分析权限的原始url
        this.webPageUrl = 'www.baidu.com'; //访问分析权限处理后的url(去除协议头)
        this.urlAccessSetting = [];
        this.timer = null;
        this.percent = 0; //测试进度
        this.testItemLength = 0; //总共有多少个测试项
        this.haveTest = 0; //当前已经测试完的测试项数量
        this.testStatusLabel = '正在检测网络安全'; //显示当前检测状态
        this.acceptance = 0; //安全测试的结果，0表示不合格，1表示合格
        this.connectCount = 0; //防止多次监听到连接成功事件
        this.startTestCount = 0; //开始测试时的计数器，防止出现多次测试
        this.arpList = []; //arp列表
        this.deviceList = []; //扫描到的终端
        this.dnsAttack = false; //检测dns劫持
        this.testSetting = this.params.get("testSetting");
        this.resolveTestItem();
        this.init();
    }
    //解析测试项
    WifiSafeTestPage.prototype.resolveTestItem = function () {
        this.ssidRishCheck = this.testSetting.ssid_risk_check;
        this.encryAnalysis = this.testSetting.encry_analysis;
        this.deviceScan = this.testSetting.device_scan;
        this.attackCheck = this.testSetting.attack_check;
        this.accessAnalysis = this.testSetting.access_analysis;
        this.urlAccessSetting = this.testSetting.url_access_setting;
        this.originalUrl = this.testSetting.webpage_url;
        if (this.originalUrl.indexOf("http://") == 0) {
            this.webPageUrl = this.originalUrl.substring(7, this.originalUrl.length);
        }
        else if (this.originalUrl.indexOf("https://") == 0) {
            this.webPageUrl = this.originalUrl.substring(8, this.originalUrl.length);
        }
        this.terminal_isolation = this.testSetting.terminal_isolation;
        if (!this.testSetting.device_scan) {
            this.testSetting.terminal_isolation = false;
            this.terminal_isolation = false;
        }
        for (var key in this.testSetting) {
            if (this.testSetting[key] && (key != "webpage_url") && (key != "url_access_setting")) {
                this.testItemLength++;
            }
        }
        console.log("测试项总共有：" + this.testItemLength);
    };
    WifiSafeTestPage.prototype.init = function () {
        var _this = this;
        // 测试项
        this.testItems = [];
        // 点位测试要考虑wifi掉线的情况，时刻刷新
        this.test_result = {
            time: "",
            ssid: "",
            frequencyBand: "",
            acceptance: "",
            test_item: []
        };
        if (__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
            this.conNetName = "信锐网科技术";
            this.frequencyBand = "2.4G";
            this.hasConnect = true;
            this.startTest();
            return;
        }
        else {
            var WifiManager = cordova.plugins.WifiManager;
            WifiManager.getScanResults(function (err, scanResults) {
                __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].wlanInfo = scanResults;
            });
            WifiManager.getConnectionInfo(function (err, wifiInfo) {
                __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].connectInfo = wifiInfo;
                if (wifiInfo.ipAddress === 0) {
                    _this.hasConnect = false;
                }
                else {
                    _this.wifiIpAddress = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getIpAddress(wifiInfo.ipAddress);
                    _this.hasConnect = true;
                    _this.conNetName = wifiInfo.SSID.replace(/"/g, '');
                    _this.conBSSID = wifiInfo.BSSID;
                    _this.frequency = wifiInfo.frequency;
                    _this.frequencyBand = _this.getFrequencyBand(_this.frequency);
                    _this.startTest();
                }
            });
            WifiManager.getDhcpInfo(function (err, dhcpInfo) {
                __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].connectDhcp = dhcpInfo;
                _this.gateway = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getIpAddress(dhcpInfo.gateway);
                _this.dhcpIpAddress = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getIpAddress(dhcpInfo.ipAddress);
            });
            this.eventWifi();
        }
    };
    //获取wifi频段
    WifiSafeTestPage.prototype.getFrequencyBand = function (frequency) {
        // tslint:disable-next-line:no-magic-numbers
        if (frequency < 3000) {
            return '2.4G';
            // tslint:disable-next-line:no-magic-numbers
        }
        else if (frequency > 5700) {
            return '5.8G';
        }
        else {
            return '5.2G';
        }
    };
    //开始点位测试
    WifiSafeTestPage.prototype.startTest = function () {
        this.aborted = false;
        this.startTestCount++;
        if (this.startTestCount == 1) {
            if (__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
                this.simulateTest();
            }
            else {
                this.safeTest();
            }
        }
    };
    /**
     * 模拟测试
     */
    WifiSafeTestPage.prototype.simulateTest = function () {
        var _this = this;
        this.testItems = [];
        var testItems = [
            { name: "SSID风险检测", status: 'testing', value: '无风险', qualified_status: 1 },
            { name: "加密分析", status: 'testing', value: '强', qualified_status: 1 },
            { name: "内网攻击检测", status: 'testing', value: '无', qualified_status: 1, arp_attack: true, dns_hijack: false, dhcp_attack: false, https_attack: false },
            {
                name: "访问权限分析", status: 'testing', value: '成功', qualified_status: 1, web_page_url: 'www.baidu.com', access_specific_url: true, testResults: [{ url: 'www.baidu.com', status: 1, value: '访问成功，设置为允许访问，检测可以访问该地址' },
                    { url: 'www.sina.com', status: 0, value: '访问失败，设置为禁止访问，检测无法访问该地址' }]
            },
            { name: "内网设备扫描", status: 'testing', value: '在线终端200', qualified_status: 1, terminal_num: 200 },
            { name: "终端隔离检测", status: 'testing', value: '成功', qualified_status: 1, device_isolation: true }
        ];
        this.haveTest++;
        this.percent = this.haveTest / testItems.length;
        this.setCircleStyle(this.percent);
        this.testItems.push(testItems[0]);
        testItems.shift();
        this.timer = setInterval(function () {
            if (_this.aborted) {
                return;
            }
            var len = _this.testItems.length;
            _this.testItems[len - 1].status = "testOver";
            if (testItems.length != 0) {
                _this.haveTest++;
                _this.percent = _this.haveTest / testItems.length;
                _this.setCircleStyle(_this.percent);
                _this.testItems.push(testItems[0]);
                testItems.shift();
            }
            else {
                // tslint:disable-next-line:no-magic-numbers
                _this.conNetName = "信锐技术" + __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].randomInt(0, 10);
                _this.acceptance = 1;
                _this.percent = 1;
                _this.setCircleStyle(_this.percent);
                // document.getElementById('outer_circle').style.animationPlayState = 'paused';
                // document.getElementById('outer_circle').style.animation = 'none';
                document.getElementById('scanning_img').style.display = 'none';
                document.getElementById('scanning_img').style.animationPlayState = 'paused';
                document.getElementById('scanning_img').style.animation = 'none';
                _this.testStatus = 'end';
                _this.testStatusLabel = '检测完成';
                _this.saveResult();
                clearInterval(_this.timer);
            }
            // tslint:disable-next-line:no-magic-numbers
        }, 2000);
    };
    //开始安全测试
    WifiSafeTestPage.prototype.safeTest = function () {
        this.aborted = false;
        this.testStatus = "start";
        this.ssidRiskCheck();
    };
    //SSID风险检测
    WifiSafeTestPage.prototype.ssidRiskCheck = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (!this.ssidRishCheck) {
            this.wifiEncryAnalysis();
        }
        else {
            if (this.isItemExist("SSID风险检测")) {
                this.wifiEncryAnalysis();
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "SSID风险检测",
                status: "testing",
                value: "无风险",
                qualified_status: 1 //0表示不合格，1表示合格
            });
            this.ssidCheckTimeout = setTimeout(function () {
                var wlanInfo = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].wlanInfo;
                var hasSimilarWifi = false;
                //hasSimilarWifi = this.checkSameNameWifi(wlanInfo);
                var classifiWlanList = _this.classification(wlanInfo);
                for (var _i = 0, classifiWlanList_1 = classifiWlanList; _i < classifiWlanList_1.length; _i++) {
                    var ele = classifiWlanList_1[_i];
                    if (ele.SSID.toLowerCase() == _this.conNetName.toLowerCase()) {
                        var sameBSSIDArray = []; //2.再判断相同SSID的wifi下有多少个频段相同的bssid
                        for (var _a = 0, _b = ele.children; _a < _b.length; _a++) {
                            var bssid = _b[_a];
                            var bssid_frequency = _this.getFrequencyBand(bssid.frequency);
                            if (bssid_frequency == _this.frequencyBand) {
                                sameBSSIDArray.push(bssid);
                            }
                        }
                        sameBSSIDArray = sameBSSIDArray.filter(function (item) {
                            return item.BSSID != _this.conBSSID;
                        });
                        if (sameBSSIDArray.length == 1) {
                            var company = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getMacCompany(sameBSSIDArray[0].BSSID);
                            if (company != __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getMacCompany(_this.conBSSID) && _this.isOpenWiFi(sameBSSIDArray[0].capabilities)) {
                                hasSimilarWifi = true;
                            }
                        }
                    }
                }
                // for (const ele of wlanInfo) {
                //     const similar = Common.getStringSimilary(ele.SSID, this.conNetName);
                //     if (similar >= 0.8) {
                //         console.log("存在相似ssid");
                //         hasSimilarWifi = true;
                //     }
                // }
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                if (!hasSimilarWifi) {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    _this.testItems[_this.testItems.length - 1].value = "无风险";
                }
                else {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 2; //2表示存在风险，0表示检测项不通过
                    _this.testItems[_this.testItems.length - 1].value = "存在风险";
                }
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.wifiEncryAnalysis();
                }
                // tslint:disable-next-line:no-magic-numbers
            }, 2000);
        }
    };
    //加密分析
    WifiSafeTestPage.prototype.wifiEncryAnalysis = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (!this.encryAnalysis) {
            this.networkAttackCheck();
        }
        else {
            if (this.isItemExist("加密分析")) {
                this.networkAttackCheck();
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "加密分析",
                status: "testing",
                value: "加密类型:强;",
                qualified_status: 1 //0表示不合格，1表示合格
            });
            this.wifiEncryptTimeout = setTimeout(function () {
                var wlanInfo = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].wlanInfo;
                var capabilities;
                for (var _i = 0, wlanInfo_1 = wlanInfo; _i < wlanInfo_1.length; _i++) {
                    var ele = wlanInfo_1[_i];
                    if (ele.BSSID == _this.conBSSID) {
                        capabilities = ele.capabilities;
                        console.log("当前wifi加密类型为:" + capabilities);
                        break;
                    }
                }
                var description = '';
                if (capabilities.indexOf('SAE-') != -1) {
                    if (capabilities.indexOf('WPA2-') != -1) {
                        description += '认证类型:WPA2/WPA3;';
                    }
                    else {
                        description += '认证类型:WPA3;';
                    }
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    if (capabilities.indexOf('CCMP+TKIP') != -1) {
                        description += '加密类型:AES+TKIP;加密等级:强;';
                    }
                    else if (capabilities.indexOf('CCMP') != -1) {
                        description += '加密类型:AES;加密等级:强;';
                    }
                    else if (capabilities.indexOf('TKIP') != -1) {
                        description += '加密类型:TKIP;加密等级:中;';
                        _this.testItems[_this.testItems.length - 1].qualified_status = 2;
                    }
                    else {
                        description += '加密类型:弱;加密等级:中;';
                        _this.testItems[_this.testItems.length - 1].qualified_status = 2;
                    }
                }
                else if (capabilities.indexOf('WPA2-') != -1 || capabilities.indexOf('WPA-') != -1) {
                    if (capabilities.indexOf('WPA2-') != -1 && capabilities.indexOf('WPA-') != -1) {
                        description += '认证类型:WPA/WPA2;';
                    }
                    else if (capabilities.indexOf('WPA2-') != -1) {
                        description += '认证类型:WPA2;';
                    }
                    else {
                        description += '认证类型:WPA;';
                    }
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    if (capabilities.indexOf('CCMP+TKIP') != -1) {
                        description += '加密类型:AES+TKIP;加密等级:强;';
                    }
                    else if (capabilities.indexOf('CCMP') != -1) {
                        description += '加密类型:AES;加密等级:强;';
                    }
                    else if (capabilities.indexOf('TKIP') != -1) {
                        description += '加密类型:TKIP;加密等级:中;';
                        _this.testItems[_this.testItems.length - 1].qualified_status = 2;
                    }
                    else {
                        description += '加密类型:弱;加密等级:中;';
                        _this.testItems[_this.testItems.length - 1].qualified_status = 2;
                    }
                }
                else if (capabilities.indexOf('WEP') != -1) {
                    description += '认证类型:WEP;加密类型:弱;加密等级:弱;';
                    _this.testItems[_this.testItems.length - 1].qualified_status = 0;
                }
                else {
                    description += '认证类型:开放式;加密类型:无;加密等级:弱;';
                    _this.testItems[_this.testItems.length - 1].qualified_status = 0;
                }
                _this.testItems[_this.testItems.length - 1].value = description;
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.networkAttackCheck();
                }
                // tslint:disable-next-line:no-magic-numbers
            }, 2000);
        }
    };
    //内网攻击检测
    WifiSafeTestPage.prototype.networkAttackCheck = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (!this.attackCheck) {
            this.accessPermissionAnalysis();
        }
        else {
            if (this.isItemExist("内网攻击检测")) {
                this.accessPermissionAnalysis();
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "内网攻击检测",
                status: "testing",
                value: "无",
                arp_attack: false,
                dhcp_attack: false,
                dns_hijack: false,
                https_attack: false,
                qualified_status: 1 //0表示不合格，1表示合格
            });
            //检测arp欺骗攻击
            var arpAttack_1 = this.getArpList();
            //DHCP欺骗
            var dhcpAttack_1 = false;
            console.log("dhcpIP=" + this.dhcpIpAddress + ",wifiIp=" + this.wifiIpAddress);
            // if (this.dhcpIpAddress && (this.dhcpIpAddress != this.wifiIpAddress)) {
            //     dhcpAttack = true;
            // }
            //DNS劫持
            var dnsHijack = this.hasDnsHijack();
            //HTTPS中间人攻击
            var httpsAttack_1 = false;
            var httpsDemotion_1 = false; //https降级
            var sslError_1 = false; //不可靠的证书
            SafeTest.checkHttpsAttack(function (data) {
                console.log('data=' + JSON.stringify(data));
                httpsDemotion_1 = data.httpsError;
                sslError_1 = data.sslError;
            }, function (err) {
                console.log('err=' + err);
            });
            this.networkAttackTimeout = setTimeout(function () {
                if (httpsDemotion_1 || sslError_1) {
                    httpsAttack_1 = true;
                }
                _this.testItems[_this.testItems.length - 1].arp_attack = arpAttack_1;
                _this.testItems[_this.testItems.length - 1].dns_hijack = _this.dnsAttack;
                _this.testItems[_this.testItems.length - 1].dhcp_attack = dhcpAttack_1;
                _this.testItems[_this.testItems.length - 1].https_attack = httpsAttack_1;
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                if (!arpAttack_1 && !dhcpAttack_1 && !_this.dnsAttack && !httpsAttack_1) {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    _this.testItems[_this.testItems.length - 1].value = '无';
                }
                else {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 2; //2表示存在风险，0表示检测项不通过
                    _this.testItems[_this.testItems.length - 1].value = '有';
                }
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.accessPermissionAnalysis();
                }
                // tslint:disable-next-line:no-magic-numbers
            }, 3000);
        }
    };
    //访问权限分析
    WifiSafeTestPage.prototype.accessPermissionAnalysis = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (!this.accessAnalysis) {
            this.connectDeviceScan();
        }
        else {
            if (this.isItemExist("访问权限分析")) {
                this.connectDeviceScan();
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "访问权限分析",
                status: "testing",
                value: '访问成功',
                access_url: this.originalUrl,
                access_specific_url: true,
                qualified_status: 1,
                testResults: []
            });
            //访问特定网段
            // let access_specific_url1 = false;
            // let access_specific_url2 = false;
            // let access_specific_url3 = false;
            var test_status_1 = 1;
            var _loop_1 = function (i) {
                if (this_1.urlAccessSetting[i].url) {
                    var testResult_1 = { url: '', value: '', status: 1 };
                    testResult_1.url = this_1.urlAccessSetting[i].url;
                    var testUrl = "";
                    if (this_1.urlAccessSetting[i].url.indexOf("http://") == 0) {
                        testUrl = this_1.urlAccessSetting[i].url.substring(7, this_1.urlAccessSetting[i].url.length);
                    }
                    else if (this_1.originalUrl.indexOf("https://") == 0) {
                        testUrl = this_1.urlAccessSetting[i].url.substring(8, this_1.urlAccessSetting[i].url.length);
                    }
                    else {
                        testUrl = this_1.urlAccessSetting[i].url;
                    }
                    var pingUrl = new Ping();
                    var param = [{ host: testUrl, params: "-i 0.2 -c 4 -w 3" }];
                    pingUrl.ping(param, function (result) {
                        console.log(JSON.stringify(result[0]));
                        if (result[0] && result[0].response.status) {
                            if (result[0].response.status == 'success') {
                                if (_this.urlAccessSetting[i].option == '禁止访问') {
                                    testResult_1.status = 0;
                                    testResult_1.value = '访问成功，设置为禁止访问，检测到可以访问该地址';
                                    test_status_1 = 0;
                                }
                                else {
                                    testResult_1.status = 1;
                                    testResult_1.value = '访问成功，设置为允许访问，检测到可以访问该地址';
                                }
                                _this.testItems[_this.testItems.length - 1].testResults.push(testResult_1);
                            }
                            else {
                                if (_this.urlAccessSetting[i].option == '禁止访问') {
                                    testResult_1.status = 1;
                                    testResult_1.value = '访问失败，设置为禁止访问，检测到无法访问该地址';
                                }
                                else {
                                    testResult_1.status = 0;
                                    testResult_1.value = '访问失败，设置为允许访问，检测到无法访问该地址';
                                    test_status_1 = 0;
                                }
                                _this.testItems[_this.testItems.length - 1].testResults.push(testResult_1);
                            }
                        }
                        else {
                            if (_this.urlAccessSetting[i].option == '禁止访问') {
                                testResult_1.status = 1;
                                testResult_1.value = '访问失败，设置为禁止访问，检测到无法访问该地址';
                            }
                            else {
                                testResult_1.status = 0;
                                testResult_1.value = '访问失败，设置为允许访问，检测到无法访问该地址';
                                test_status_1 = 0;
                            }
                            _this.testItems[_this.testItems.length - 1].testResults.push(testResult_1);
                        }
                    }, function (e) {
                        console.log('Error:' + e);
                        if (_this.urlAccessSetting[i].option == '禁止访问') {
                            testResult_1.status = 1;
                            testResult_1.value = '访问失败，设置为禁止访问，检测到无法访问该地址';
                        }
                        else {
                            testResult_1.status = 0;
                            testResult_1.value = '访问失败，设置为允许访问，检测到无法访问该地址';
                            test_status_1 = 0;
                        }
                        _this.testItems[_this.testItems.length - 1].testResults.push(testResult_1);
                    });
                }
            };
            var this_1 = this;
            for (var i = 0; i < this.urlAccessSetting.length; i++) {
                _loop_1(i);
            }
            this.accessPermissionTimeout = setTimeout(function () {
                // this.testItems[this.testItems.length - 1].access_specific_url = access_specific_url1;
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                if (test_status_1 == 1) {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    _this.testItems[_this.testItems.length - 1].value = '访问' + _this.originalUrl + '成功';
                }
                else {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 0;
                    _this.testItems[_this.testItems.length - 1].value = '访问' + _this.originalUrl + '失败';
                }
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.connectDeviceScan();
                }
                // tslint:disable-next-line:no-magic-numbers
            }, 3000);
        }
    };
    //内网设备扫描
    WifiSafeTestPage.prototype.connectDeviceScan = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (!this.deviceScan) {
            this.terminalIsolationAnalysis();
        }
        else {
            if (this.isItemExist("内网设备扫描")) {
                this.terminalIsolationAnalysis();
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "内网设备扫描",
                status: "testing",
                value: "在线终端-",
                terminal_num: 0,
                terminal_list: [],
                qualified_status: 1 //0表示不合格，1表示合格
            });
            //扫描在线终端数
            SafeTest.getDevices(function (data) {
                console.log('data=' + JSON.stringify(data.data));
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                _this.testItems[_this.testItems.length - 1].terminal_list = data.data;
                _this.deviceList = data.data;
                _this.testItems[_this.testItems.length - 1].value = "在线终端：" + data.data.length;
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.terminalIsolationAnalysis();
                }
            }, function (err) {
                console.log('err=' + err);
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                _this.testItems[_this.testItems.length - 1].qualified_status = 0;
                _this.testItems[_this.testItems.length - 1].value = "扫描失败";
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                else {
                    _this.terminalIsolationAnalysis();
                }
            });
        }
    };
    //终端隔离
    WifiSafeTestPage.prototype.terminalIsolationAnalysis = function () {
        var _this = this;
        if (this.aborted) {
            return;
        }
        if (this.terminal_isolation) {
            if (this.isItemExist("终端隔离检测")) {
                return;
            }
            if (this.percent == 1) {
                return;
            }
            this.testItems.push({
                name: "终端隔离检测",
                status: "testing",
                value: "成功",
                device_isolation: true,
                qualified_status: 1 //0表示不合格，1表示合格
            });
            //终端隔离
            var device_isolation_1 = true;
            if (this.deviceList && this.deviceList.length > 0) {
                var pingDevices = [];
                pingDevices = this.deviceList.filter(function (currentDevice) {
                    // tslint:disable-next-line:no-magic-numbers
                    return currentDevice.isGateWay != 1 && currentDevice.isGateWay != 2;
                });
                // tslint:disable-next-line:no-magic-numbers
                if (pingDevices.length > 10) {
                    // tslint:disable-next-line:no-magic-numbers
                    pingDevices = pingDevices.slice(0, 10);
                }
                // pingDevices = pingDevices.filter((currentDevice) => {
                //     // tslint:disable-next-line:no-magic-numbers
                //     return currentDevice.isGateWay != 1 && currentDevice.isGateWay != 2;
                // });
                if (pingDevices.length > 0) {
                    for (var _i = 0, pingDevices_1 = pingDevices; _i < pingDevices_1.length; _i++) {
                        var device = pingDevices_1[_i];
                        var pingUrl = new Ping();
                        var param = [{ host: device.ip, params: "-i 0.2 -c 4 -w 3" }];
                        pingUrl.ping(param, function (result) {
                            console.log(JSON.stringify(result[0]));
                            if (result[0] && result[0].response.status) {
                                if (result[0].response.status == 'success') {
                                    device_isolation_1 = false;
                                }
                            }
                        }, function (e) {
                            console.log('Error:' + e);
                        });
                    }
                }
            }
            this.testItems[this.testItems.length - 1].device_isolation = device_isolation_1;
            this.terminalIsolutionTimeout = setTimeout(function () {
                _this.testItems[_this.testItems.length - 1].status = "testOver";
                if (device_isolation_1) {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 1;
                    _this.testItems[_this.testItems.length - 1].value = '成功';
                }
                else {
                    _this.testItems[_this.testItems.length - 1].qualified_status = 0;
                    _this.testItems[_this.testItems.length - 1].value = '失败';
                }
                _this.haveTest++;
                _this.percent = _this.haveTest / _this.testItemLength;
                _this.setCircleStyle(_this.percent);
                if (_this.percent == 1) {
                    _this.completeTest();
                }
                // tslint:disable-next-line:no-magic-numbers
            }, 3000);
        }
    };
    /**
     * 获取arp列表
     */
    WifiSafeTestPage.prototype.getArpList = function () {
        var _this = this;
        var hasAttack = false;
        ARP.getParsedCache(function (res) {
            console.log(res);
            _this.arpList = res;
            hasAttack = _this.hasArpAttack();
        }, function (err) {
            console.log(err);
        });
        return hasAttack;
    };
    // 检测是否存在arp攻击
    WifiSafeTestPage.prototype.hasArpAttack = function () {
        var self = this;
        var hasAttack = false;
        for (var _i = 0, _a = this.arpList; _i < _a.length; _i++) {
            var arp = _a[_i];
            ARP.getMacFromIp(arp.ip, function (res) {
                if (res.length > 1) {
                    // 可能有arp欺骗
                    hasAttack = true;
                }
            }, function (err) {
                console.log(err);
            });
            if (hasAttack) {
                break;
            }
        }
        return hasAttack;
    };
    /**
     * 检测是否有DNS劫持
     */
    WifiSafeTestPage.prototype.hasDnsHijack = function () {
        var _this = this;
        var addressBaidu;
        var addressQQ;
        var dnsHijack = false;
        this.dnsAttack = false;
        cordova.plugins.dns.resolve("www.baidu.com", function (ip) {
            console.log("解析百度成功", ip);
            addressBaidu = ip;
        }, function (err) {
            console.log("解析百度失败", err);
        });
        cordova.plugins.dns.resolve("www.qq.com", function (ip) {
            console.log("解析QQ成功", ip);
            addressQQ = ip;
        }, function (err) {
            console.log("解析QQ失败", err);
        });
        this.dnsHijackTimeout = setTimeout(function () {
            console.log(addressBaidu, addressQQ);
            if (addressBaidu && addressBaidu == addressQQ) {
                dnsHijack = true;
                _this.dnsAttack = true;
            }
            else {
                console.log("无DNS劫持");
            }
            // tslint:disable-next-line:no-magic-numbers
        }, 100);
        return dnsHijack;
    };
    /**
     *
     * @param a
     * @param b
     * @param c
     * 返回最小值
     */
    WifiSafeTestPage.prototype.Minimum = function (a, b, c) {
        return a < b ? (a < c ? a : c) : (b < c ? b : c);
    };
    /**
     * 监听wifi状态(非关联测试时间)
     */
    WifiSafeTestPage.prototype.eventWifi = function () {
        var _this = this;
        var WifiManager = cordova.plugins.WifiManager;
        WifiManager.onnetworkstatechanged = function (networkInfo, BSSID, wifiInfo) {
            _this.zone.run(function () {
                var netInfo = networkInfo.networkInfo;
                if (netInfo.state == 'DISCONNECTED') {
                    if (_this.testStatus != 'end') {
                        console.log("断开连接。。。");
                        _this.reset();
                        _this.hasConnect = false;
                        _this.connectCount = 0;
                    }
                }
                else if (netInfo.state == 'CONNECTED') {
                    if (!__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
                        _this.zone.run(function () {
                            WifiManager.getConnectionInfo(function (err, connectionInfo) {
                                __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].connectInfo = connectionInfo;
                                if (_this.testStatus != 'end') {
                                    _this.conNetName = connectionInfo.SSID.replace(/"/g, '');
                                    _this.conBSSID = connectionInfo.BSSID;
                                    _this.frequency = connectionInfo.frequency;
                                    _this.frequencyBand = _this.getFrequencyBand(_this.frequency);
                                }
                            });
                        });
                    }
                    _this.connectCount++;
                    if (_this.connectCount == 1) {
                        if (_this.testStatus != 'end') {
                            console.log("重新连接");
                            _this.hasConnect = true;
                            if (!_this.isDestroy) {
                                _this.connectCount = 0;
                                _this.reset(); //TODO待验证
                                _this.startTest();
                            }
                        }
                    }
                }
            });
        };
    };
    /**
     * 页面重置
     */
    WifiSafeTestPage.prototype.reset = function () {
        var _this = this;
        this.testStatus = "stop";
        this.haveTest = 0;
        this.percent = 0;
        this.setCircleStyle(this.percent);
        this.spanStyle = {
            fontSize: '24px'
        };
        this.startTestCount = 0;
        this.aborted = true;
        this.empty();
        if (this.ssidCheckTimeout) {
            clearTimeout(this.ssidCheckTimeout);
        }
        if (this.wifiEncryptTimeout) {
            clearTimeout(this.wifiEncryptTimeout);
        }
        if (this.networkAttackTimeout) {
            clearTimeout(this.networkAttackTimeout);
        }
        if (this.accessPermissionTimeout) {
            clearTimeout(this.accessPermissionTimeout);
        }
        if (this.terminalIsolutionTimeout) {
            clearTimeout(this.terminalIsolutionTimeout);
        }
        if (this.dnsHijackTimeout) {
            clearTimeout(this.dnsHijackTimeout);
        }
        if (!__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
            var WifiManager_1 = cordova.plugins.WifiManager;
            this.zone.run(function () {
                WifiManager_1.getConnectionInfo(function (err, wifiInfo) {
                    __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].connectInfo = wifiInfo;
                    _this.conNetName = wifiInfo.SSID.replace(/"/g, '');
                    _this.conBSSID = wifiInfo.BSSID;
                    _this.frequency = wifiInfo.frequency;
                    _this.frequencyBand = _this.getFrequencyBand(_this.frequency);
                });
            });
        }
    };
    /**
     * 清空信息
     */
    WifiSafeTestPage.prototype.empty = function () {
        this.testItems = [];
    };
    //保存测试结果到本地
    WifiSafeTestPage.prototype.saveResult = function () {
        var _this = this;
        this.test_result.test_item = this.testItems;
        // tslint:disable-next-line:no-magic-numbers
        this.test_result.time = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getDateString(new Date(), 2);
        this.test_result.ssid = this.conNetName;
        this.test_result.frequencyBand = this.frequencyBand;
        this.test_result.acceptance = this.acceptance;
        __WEBPACK_IMPORTED_MODULE_4__util_util__["c" /* DBOperator */].getKeyValue(__WEBPACK_IMPORTED_MODULE_5__util_db_operator__["b" /* LocalKeys */].wifiSafeTest).then(function (data) {
            if (data) {
                var arr = JSON.parse(data);
                arr.unshift(_this.test_result);
                __WEBPACK_IMPORTED_MODULE_4__util_util__["c" /* DBOperator */].setKeyValue(__WEBPACK_IMPORTED_MODULE_5__util_db_operator__["b" /* LocalKeys */].wifiSafeTest, JSON.stringify(arr));
            }
            else {
                __WEBPACK_IMPORTED_MODULE_4__util_util__["c" /* DBOperator */].setKeyValue(__WEBPACK_IMPORTED_MODULE_5__util_db_operator__["b" /* LocalKeys */].wifiSafeTest, JSON.stringify([_this.test_result]));
            }
        });
    };
    //查看测试详情
    WifiSafeTestPage.prototype.toTestRecord = function () {
        __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].pushPage(this.nav, 'SafeTestResultPage', { test_result: this.test_result });
    };
    //跳转到测试历史记录
    WifiSafeTestPage.prototype.toHistory = function () {
        if (this.testStatus != 'start') {
            __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].pushPage(this.nav, 'SafeTestHistoryPage');
        }
        else {
            __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].showToast("测试正在进行，请完成测试后再点击!");
        }
    };
    /**
     * 测试中退出此页面时的提示
     */
    WifiSafeTestPage.prototype.ionViewCanLeave = function () {
        var _this = this;
        if (this.testStatus != 'start') {
            return;
        }
        return new Promise(function (resolve, reject) {
            var confirm = _this.alertCtrl.create({
                title: '测试正在进行，确定退出吗?',
                enableBackdropDismiss: false,
                buttons: [{
                        text: '取消',
                        handler: function () {
                            reject();
                            __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].backConfirmShow = false;
                        }
                    },
                    {
                        text: '确定',
                        handler: function () {
                            resolve();
                            __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].backConfirmShow = false;
                        },
                    }],
            });
            confirm.present();
            __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].backConfirmShow = true;
        });
    };
    WifiSafeTestPage.prototype.getChannel = function (frequency) {
        if (__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
            // tslint:disable-next-line:no-magic-numbers
            return 161;
        }
        else {
            return __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].netObj[frequency].channel;
        }
    };
    /**
     * 格式化ssid名
     * @param ssid
     */
    WifiSafeTestPage.prototype.formatSSID = function (ssid) {
        if (!ssid) {
            return '隐藏WiFi';
        }
        else {
            // tslint:disable-next-line:no-magic-numbers
            if (ssid.length > 15) {
                // tslint:disable-next-line:no-magic-numbers
                return ssid.slice(0, 15) + "...";
            }
            else {
                return ssid;
            }
        }
    };
    //格式化百分比
    WifiSafeTestPage.prototype.formatPercent = function (percent) {
        if ((this.testStatus == 'end') && (percent == 1)) {
            if (this.acceptance == 1) {
                this.spanStyle = {
                    fontSize: '28px'
                };
                return '安全';
            }
            else {
                this.spanStyle = {
                    fontSize: '20px'
                };
                return '存在风险';
            }
        }
        else {
            // tslint:disable-next-line:no-magic-numbers
            return Math.round(percent * 100) + '%';
        }
    };
    //动态设置圆形进度条的样式
    WifiSafeTestPage.prototype.setCircleStyle = function (percent) {
        // tslint:disable-next-line:no-magic-numbers
        var transform = 3.14 * 2 * 60 * (1 - percent) + 'px';
        this.circle_style = {
            'stroke-dashoffset': transform
        };
    };
    //完成点位测试后的操作
    WifiSafeTestPage.prototype.completeTest = function () {
        // document.getElementById('outer_circle').style.animationPlayState = 'paused';
        // document.getElementById('outer_circle').style.animation = 'none';
        document.getElementById('scanning_img').style.display = 'none';
        document.getElementById('scanning_img').style.animationPlayState = 'paused';
        document.getElementById('scanning_img').style.animation = 'none';
        this.acceptance = 1;
        for (var _i = 0, _a = this.testItems; _i < _a.length; _i++) {
            var testItem = _a[_i];
            if (testItem.qualified_status == 0 || testItem.qualified_status == 2) {
                this.acceptance = 0;
            }
        }
        this.testStatus = 'end';
        this.testStatusLabel = '检测完成';
        this.saveResult();
    };
    //页面销毁时调用
    // tslint:disable-next-line:use-life-cycle-interface
    WifiSafeTestPage.prototype.ngOnDestroy = function () {
        if (this.timer) {
            clearInterval(this.timer);
        }
        if (this.ssidCheckTimeout) {
            clearTimeout(this.ssidCheckTimeout);
        }
        if (this.wifiEncryptTimeout) {
            clearTimeout(this.wifiEncryptTimeout);
        }
        if (this.networkAttackTimeout) {
            clearTimeout(this.networkAttackTimeout);
        }
        if (this.accessPermissionTimeout) {
            clearTimeout(this.accessPermissionTimeout);
        }
        if (this.terminalIsolutionTimeout) {
            clearTimeout(this.terminalIsolutionTimeout);
        }
        if (this.dnsHijackTimeout) {
            clearTimeout(this.dnsHijackTimeout);
        }
        SafeTest.cancelScan();
        this.aborted = true;
        this.isDestroy = true;
    };
    WifiSafeTestPage.prototype.isItemExist = function (name) {
        if (this.testItems.length == 0) {
            return false;
        }
        for (var _i = 0, _a = this.testItems; _i < _a.length; _i++) {
            var testItem = _a[_i];
            if (testItem.name == name) {
                return true;
            }
        }
        return false;
    };
    /**
     * 打开无线网络设置
     */
    WifiSafeTestPage.prototype.changeNet = function () {
        if (__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
            console.log('change Net');
        }
        else {
            var settings = cordova.plugins.settings;
            settings.open('wifi', function () { });
        }
    };
    //对同名WiFi的检测
    WifiSafeTestPage.prototype.checkSameNameWifi = function (wifiInfo) {
        var _this = this;
        console.log("先对同名wifi进行检测");
        var hasFishWiFi = false;
        wifiInfo = wifiInfo.filter(function (item) {
            var itemSSID = item.SSID.replace(/"/g, '');
            return itemSSID == _this.conNetName;
        });
        var data = [];
        data.push({
            SSID: wifiInfo[0].SSID,
            children: []
        });
        wifiInfo.forEach(function (v) {
            if (v.SSID === data[0].SSID) {
                data[0].children.push(v);
            }
        });
        var bssidArray = data[0].children;
        var companyArray = [];
        companyArray.push({
            company: __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getMacCompany(bssidArray[0].BSSID),
            children: []
        });
        bssidArray.forEach(function (v) {
            for (var i = 0; i < companyArray.length; i++) {
                if (__WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getMacCompany(v.BSSID) == companyArray[i].company) {
                    companyArray[i].children.push(v);
                    break;
                }
                if (i === companyArray.length - 1) {
                    companyArray.push({
                        company: __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getMacCompany(v.BSSID),
                        children: []
                    });
                }
            }
        });
        if (companyArray.length >= 2) {
            for (var i = 0; i < companyArray.length; i++) {
                if (companyArray[i].children.length == 1) {
                    if (companyArray[i].children[0].BSSID == this.conBSSID) {
                        if (this.isOpenWiFi(companyArray[i].children[0].capabilities)) {
                            hasFishWiFi = true;
                        }
                    }
                    else {
                        var bssid_frequency = this.getFrequencyBand(companyArray[i].children[0].frequency);
                        if (bssid_frequency == this.frequencyBand && this.isOpenWiFi(companyArray[i].children[0].capabilities)) {
                            hasFishWiFi = true;
                        }
                    }
                }
                else {
                    var sameFrequencyArray = [];
                    for (var j = 0; j < companyArray[i].children.length; j++) {
                        var bssid_frequency = this.getFrequencyBand(companyArray[i].children[j].frequency);
                        if (bssid_frequency == this.frequencyBand) {
                            sameFrequencyArray.push(companyArray[i].children[j]);
                        }
                    }
                    if (sameFrequencyArray.length == 1) {
                        if (sameFrequencyArray[0].BSSID == this.conBSSID) {
                            if (this.isOpenWiFi(sameFrequencyArray[0].capabilities)) {
                                hasFishWiFi = true;
                            }
                        }
                        else {
                            if (this.isOpenWiFi(sameFrequencyArray[0].capabilities)) {
                                hasFishWiFi = true;
                            }
                        }
                    }
                }
            }
        }
        return hasFishWiFi;
    };
    //根据SSID对扫描到的wifi进行分组，去除同名wifi
    WifiSafeTestPage.prototype.classification = function (wifiInfo) {
        // wifiInfo = wifiInfo.filter((item)=> {                          //筛选掉当前连接的WiFi
        //     const itemSSID = item.SSID.replace(/"/g, '');
        //     return itemSSID!= this.conNetName;
        // });
        var data = [];
        data.push({
            SSID: wifiInfo[0].SSID,
            children: []
        });
        wifiInfo.forEach(function (v) {
            for (var i = 0; i < data.length; i++) {
                if (v.SSID === data[i].SSID) {
                    data[i].children.push(v);
                    break;
                }
                if (i === data.length - 1) {
                    data.push({
                        SSID: v.SSID,
                        children: []
                    });
                }
            }
        });
        return data;
    };
    //判断是否开放wifi
    WifiSafeTestPage.prototype.isOpenWiFi = function (capabilities) {
        if (capabilities.indexOf('SAE-') == -1 && capabilities.indexOf('WPA2-') == -1 && capabilities.indexOf('WPA-') == -1 && capabilities.indexOf('WEP-') == -1) {
            return true;
        }
        else {
            return false;
        }
    };
    WifiSafeTestPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'wifi-safe-test',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/safe-test/wifi-safe-test/wifi-safe-test.html"*/'<ion-header>\n\n    <ion-navbar color=\'primary\'>\n\n        <ion-title>\n\n            网络安全测试\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only (click)="toHistory()">\n\n                <ion-icon name="history"></ion-icon>\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content scroll="false" overflow-scroll="true" #content>\n\n    <div *ngIf="hasConnect">\n\n        <div>\n\n            <div class="item_line">\n\n                <img src=\'assets/common/wifi.svg\' class="wifi">\n\n                <div class="SSID">{{conNetName}}</div>\n\n                <div class="frequency">{{frequencyBand}}</div>\n\n            </div>\n\n            <div class="circle_container">\n\n                <img src="assets/common/safe_test_bg.png" class="test_bg_img">\n\n                <img src="assets/common/testting_status.png" class="test_center_img" *ngIf="testStatus!=\'end\'">\n\n                <img src="assets/common/safe_status.png" class="test_center_img" *ngIf="testStatus==\'end\'&&acceptance==1">\n\n                <img src="assets/common/rish_staus.png" class="test_center_img" *ngIf="testStatus==\'end\'&&acceptance!=1">\n\n                <img src="assets/common/scanning.png" class="test_line_img" id="scanning_img">\n\n                <!-- <div class="out_circle" id="outer_circle"></div>\n\n                <div class="circle_bar"></div>\n\n                <svg class="svg_class">\n\n                    <defs>\n\n                        <linearGradient id="grad1" x1="100%" y1="0%" x2="0%" y2="0%">\n\n                            <stop offset="0%" style="stop-color:rgb(130,233,255);stop-opacity:1" />\n\n                            <stop offset="100%" style="stop-color:rgb(79,165,255);stop-opacity:1" />\n\n                        </linearGradient>\n\n                    </defs>\n\n                    <circle [ngStyle]="circle_style" cx="60" cy="60" r="55" fill="transparent" stroke="url(#grad1)" stroke-width="5" class="svg_circle"/>\n\n                </svg>\n\n                <div class="mask">\n\n                    <span class="mask_span" [ngStyle]="spanStyle">{{formatPercent(percent)}}</span>\n\n                </div> -->\n\n            </div>\n\n            <div class="center_label" *ngIf="testStatus!=\'end\'">{{testStatusLabel}}</div>\n\n            <div class="safe_label" *ngIf="testStatus==\'end\'&&acceptance==1">安全</div>\n\n            <div class="rish_label" *ngIf="testStatus==\'end\'&&acceptance!=1">存在风险</div>\n\n        </div>\n\n        <ion-list class="test-items" id="test-list">\n\n            <div *ngFor="let item of testItems" class="test-item">\n\n                <!-- <div class="status-wrap"> -->\n\n                    <!-- <div class="item_name"> -->\n\n                        <div class="item_name_label">{{item.name}}</div>\n\n\n\n                        <ion-spinner class="test_img" *ngIf="item.status == \'testing\'"></ion-spinner>\n\n                        <img class="test_img" src="assets/common/item_success.svg"\n\n                            *ngIf="item.status == \'testOver\'&&item.qualified_status==\'1\'">\n\n                        <img class="test_img" src="assets/common/item_unqualited.svg"\n\n                            *ngIf="item.status == \'testOver\'&&item.qualified_status==\'0\'">\n\n                        <img class="test_img" src="assets/common/item_warning.png"\n\n                            *ngIf="item.status == \'testOver\'&&item.qualified_status==\'2\'">\n\n                    <!-- </div> -->\n\n                <!-- </div> -->\n\n            </div>\n\n        </ion-list>\n\n    </div>\n\n\n\n    <div class="content-layer" *ngIf="!hasConnect">\n\n        <div class="center-block">\n\n            <div class="title">亲，您还没有连接到WiFi</div>\n\n            <button ion-button small color="activedColor" (click)="changeNet()" id="testButton">\n\n                <span>去连接WiFi</span>\n\n            </button>\n\n        </div>\n\n    </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n    <div class="footer_view" *ngIf="hasConnect">\n\n        <button ion-button class="complite_btn" (click)="toTestRecord()" *ngIf="testStatus==\'end\'">查看详情</button>\n\n    </div>\n\n</ion-footer>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/safe-test/wifi-safe-test/wifi-safe-test.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__util_http_service__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["NgZone"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_device__["a" /* Device */]])
    ], WifiSafeTestPage);
    return WifiSafeTestPage;
}());

//# sourceMappingURL=wifi-safe-test.js.map

/***/ }),

/***/ 379:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WifiSafeTestPageModule", function() { return WifiSafeTestPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__wifi_safe_test__ = __webpack_require__(1435);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WifiSafeTestPageModule = (function () {
    function WifiSafeTestPageModule() {
    }
    WifiSafeTestPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__wifi_safe_test__["a" /* WifiSafeTestPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__wifi_safe_test__["a" /* WifiSafeTestPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_2__wifi_safe_test__["a" /* WifiSafeTestPage */]],
            schemas: [__WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]]
        })
    ], WifiSafeTestPageModule);
    return WifiSafeTestPageModule;
}());

//# sourceMappingURL=wifi-safe-test.module.js.map

/***/ })

});
//# sourceMappingURL=63.js.map