webpackJsonp([70],{

/***/ 1427:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PointSettings; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_util__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var PointSettings = (function () {
    function PointSettings(alertCtrl, viewCtrl, params) {
        this.alertCtrl = alertCtrl;
        this.viewCtrl = viewCtrl;
        this.params = params;
        this.placeholderString = { modeName: "请输入模式名称", modeRemark: "请输入模式备注" };
        this.modeType = this.params.get("type");
        this.modeData = this.params.get("data");
        this.modeIndex = this.params.get("index");
        this.init();
    }
    /**
     * 初始化数据
     */
    PointSettings.prototype.init = function () {
        var _this = this;
        if (this.modeType != "new") {
            this.modeName = this.modeData.modeName;
            this.modeRemark = this.modeData.modeRemark;
        }
        __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].getKeyValue("modeArray").then(function (data) {
            if (data) {
                _this.localModeArray = JSON.parse(data);
            }
        });
    };
    /**
     * (不)选择
     * @param index item的index
     * @param bool 选择/取消选择
     */
    PointSettings.prototype.changeChoose = function (index, bool) {
        if (this.modeType == "readOnly") {
            return;
        }
        this.modeData.testItems[index].isChecked = bool;
    };
    /**
     * 隐藏窗口
     * @param bool 取消/保存
     * bool为false时，取消
     * bool为true时，保存
     */
    PointSettings.prototype.dismiss = function (bool) {
        var _this = this;
        if (bool) {
            if (!this.modeName) {
                this.failAlert(1);
                return;
            }
            else if (!this.ifExitChoose()) {
                this.failAlert(3);
                return;
            }
            else if (this.modeType == "new" && !this.ifNameRepeat()) {
                this.failAlert(2);
                return;
            }
            this.modeData.modeName = this.modeName;
            this.modeData.modeRemark = this.modeRemark;
            // 保存该模式
            if (this.modeType == "new") {
                __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].getKeyValue("modeArray").then(function (data) {
                    if (data) {
                        var arr = JSON.parse(data);
                        arr.unshift(_this.modeData);
                        __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].setKeyValue("modeArray", JSON.stringify(arr));
                    }
                    else {
                        var arr = [_this.modeData];
                        __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].setKeyValue("modeArray", JSON.stringify(arr));
                    }
                });
            }
            else if (this.modeType == "edit") {
                __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].getKeyValue("modeArray").then(function (data) {
                    if (data) {
                        var arr = JSON.parse(data);
                        arr.splice(_this.modeIndex, 1, _this.modeData);
                        __WEBPACK_IMPORTED_MODULE_2__util_util__["c" /* DBOperator */].setKeyValue("modeArray", JSON.stringify(arr));
                    }
                });
            }
        }
        this.viewCtrl.dismiss();
    };
    /**
     * 是否至少选中了一项
     * return boolean,true:至少选中一项
     */
    PointSettings.prototype.ifExitChoose = function () {
        var bool = false;
        for (var _i = 0, _a = this.modeData.testItems; _i < _a.length; _i++) {
            var item = _a[_i];
            if (item.isChecked) {
                bool = true;
                break;
            }
        }
        return bool;
    };
    /**
     * 是否存在同名冲突
     * return boolean
     * false: 存在同名冲突，不通过
     * true：不存在同名冲突，验证通过
     */
    PointSettings.prototype.ifNameRepeat = function () {
        var bool = true;
        if (this.localModeArray) {
            for (var _i = 0, _a = this.localModeArray; _i < _a.length; _i++) {
                var item = _a[_i];
                if (item.modeName == this.modeName) {
                    bool = false;
                    break;
                }
            }
        }
        return bool;
    };
    /**
     * 保存失败的提示
     * @param type
     * type为1：模式名为空
     * type为2：模式名重复
     * type为3：未选中一项
     */
    PointSettings.prototype.failAlert = function (type) {
        var failMsg;
        if (type == 1) {
            failMsg = "模式名不能为空";
        }
        else if (type == 2) {
            failMsg = "模式名重复";
        }
        else if (type == 3) {
            failMsg = "请选择至少一个测试项";
        }
        var alert = this.alertCtrl.create({
            title: "保存失败",
            message: failMsg,
            buttons: ["确定"]
        });
        alert.present();
    };
    PointSettings = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Component"])({
            selector: 'point-settings',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/point-test/point-settings/point-settings.html"*/'<ion-header>\n\n    <ion-navbar color="primary" hideBackButton="true">\n\n        <ion-title>\n\n            模式设置\n\n        </ion-title>\n\n        <ion-buttons start *ngIf="modeType ==\'readOnly\'" >\n\n                <button ion-button icon-only (click)="dismiss(false)">\n\n                    返回\n\n                </button>\n\n        </ion-buttons>\n\n        <ion-buttons start *ngIf="modeType !==\'readOnly\'">\n\n            <button ion-button icon-only (click)="dismiss(false)">\n\n                取消\n\n            </button>\n\n        </ion-buttons>\n\n        <ion-buttons end *ngIf="modeType !==\'readOnly\'">\n\n            <button ion-button icon-only (click)="dismiss(true)">\n\n                保存\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n    <ion-list class="mode-name-label">\n\n        <ion-item>\n\n            <ion-label stacked>模式名</ion-label>\n\n            <ion-input [(ngModel)]="modeName" maxlength="6" [placeholder]="placeholderString.modeName" [readonly]="modeType == \'readOnly\'"></ion-input>\n\n        </ion-item>\n\n\n\n        <ion-item>\n\n            <ion-label stacked>备注</ion-label>\n\n            <ion-input [(ngModel)]="modeRemark" maxlength="10" [placeholder]="placeholderString.modeRemark" [readonly]="modeType == \'readOnly\'"></ion-input>\n\n        </ion-item>\n\n    </ion-list>\n\n\n\n    <!--     <ion-list class="mode-items">\n\n        <div class="test-item-name">\n\n            <img src="assets/img/choose.svg">\n\n            <span>信号强度测试</span>\n\n        </div>\n\n        <ion-item>\n\n            <div class="detail-name">测试次数</div>\n\n            <input type="number" maxlength="6">\n\n            <span class="unit">次</span>\n\n        </ion-item>\n\n        <ion-item>\n\n            <ion-label class="detail-name">优秀强度不低于</ion-label>\n\n            <ion-label class="level-unit">-</ion-label>\n\n            <ion-input type="number" max="0" min = "100"></ion-input>\n\n            <ion-label class="unit">dBm</ion-label>\n\n        </ion-item>\n\n    </ion-list> -->\n\n\n\n    <ion-list class="mode-items" *ngFor="let item of modeData.testItems, let i = index">\n\n        <div class="test-item-name">\n\n            <img src="assets/img/choose.svg" *ngIf="item.isChecked" (click)="changeChoose(i, false)">\n\n            <img src="assets/img/notchoose.svg" *ngIf="!item.isChecked" (click)="changeChoose(i, true)">\n\n            <span>{{item.itemName}}</span>\n\n        </div>\n\n        <div class="detail-wrap" *ngIf="item.isChecked">\n\n            <ion-item *ngFor="let list of item.standards">\n\n                <div class="detail-name">{{list.name}}</div>\n\n                <div class="level-unit" *ngIf="list.special">-</div>\n\n                <input [type]="list.type" [readonly]="modeType == \'readOnly\'" [(ngModel)]="list.value">\n\n                <div class="unit">{{list.unit}}</div>\n\n            </ion-item>\n\n        </div>\n\n    </ion-list>\n\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/point-test/point-settings/point-settings.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["n" /* NavParams */]])
    ], PointSettings);
    return PointSettings;
}());

//# sourceMappingURL=point-settings.js.map

/***/ }),

/***/ 371:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PointSettingsMoudule", function() { return PointSettingsMoudule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__point_settings__ = __webpack_require__(1427);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(17);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PointSettingsMoudule = (function () {
    function PointSettingsMoudule() {
    }
    PointSettingsMoudule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_1__point_settings__["a" /* PointSettings */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_1__point_settings__["a" /* PointSettings */])],
            exports: [__WEBPACK_IMPORTED_MODULE_1__point_settings__["a" /* PointSettings */]],
        })
    ], PointSettingsMoudule);
    return PointSettingsMoudule;
}());

//# sourceMappingURL=point-settings.module.js.map

/***/ })

});
//# sourceMappingURL=70.js.map