webpackJsonp([71],{

/***/ 1426:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PointRecordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__util_util__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PointRecordPage = (function () {
    function PointRecordPage(nav, alertCtrl) {
        var _this = this;
        this.nav = nav;
        this.alertCtrl = alertCtrl;
        this.recordList = [];
        this._itemsChecked = new Set(); // 选中的项
        this._allChecked = false; // 是否全选中
        this._enableEdit = false; // 是否编辑模式
        this._lNavBtnText = "全选"; // 左上角按钮文本
        this._rNavBtnText = "编辑"; // 右上角按钮文本
        __WEBPACK_IMPORTED_MODULE_3__util_util__["c" /* DBOperator */].getKeyValue("pointTestRecord").then(function (data) {
            if (data) {
                _this.recordList = JSON.parse(data);
            }
        });
    }
    PointRecordPage.prototype.toDetail = function (item) {
        if (!this._enableEdit) {
            __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].pushPage(this.nav, "ProjectRecordPage", { projectRecord: item.records, fromPointTest: true });
        }
    };
    /**
     * 删除某条数据
     * @param index 下标
     * @param e 事件，阻止冒泡
     */
    PointRecordPage.prototype.del = function (sliding_item, index, e) {
        var _this = this;
        if (sliding_item) {
            sliding_item.close();
        }
        e.stopPropagation();
        var self = this;
        var handle = function () {
            _this.recordList.splice(index, 1);
            __WEBPACK_IMPORTED_MODULE_3__util_util__["c" /* DBOperator */].setKeyValue("pointTestRecord", JSON.stringify(self.recordList));
        };
        this.deleteHint(handle, "删除");
    };
    /**
     * 删除所有
     */
    PointRecordPage.prototype.deleteAll = function () {
        var _this = this;
        var handle = function () {
            _this.recordList = [];
            __WEBPACK_IMPORTED_MODULE_3__util_util__["c" /* DBOperator */].clearKey("pointTestRecord");
        };
        this.deleteHint(handle, "清空");
    };
    /**
     * 删除确认弹框
     * @param handle 确定删除后的回调
     * @param type 删除/清空
     */
    PointRecordPage.prototype.deleteHint = function (handle, type) {
        var alert = this.alertCtrl.create({
            title: "提示",
            message: "删除后数据不可恢复，确定要" + type + '吗?',
            buttons: [{
                    text: "取消"
                }, {
                    text: "确定",
                    handler: handle
                }]
        });
        alert.present();
    };
    /**
     * 导出
     */
    PointRecordPage.prototype.export = function (item, e) {
        e.stopPropagation();
        var time = __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].getDateString(new Date(), 6);
        var fileName = "点位测试_" + time + ".csv";
        // 1. 第一行
        var header = [["测试地点", "测试时间", "SSID", "BSSID", "关联耗时", "信号强度", "同信道干扰数", "同信道干扰明细", "邻信道干扰数", "邻信道干扰明细", "PING时延(网关/DNS/百度)", "网速测试(下行/上行)", "网页耗时", "DHCP耗时", "portal推送页面请求耗时"]];
        var pointsInfo = [];
        for (var _i = 0, _a = item.records; _i < _a.length; _i++) {
            var ele = _a[_i];
            var detail = ele.testDetail;
            var data = {
                positon: ele.testPosition,
                testTime: ele.testTime,
                SSID: ele.testNet.ssid,
                BSSID: ele.testNet.BSSID,
                conTime: detail[0].val + detail[0].unit,
                level: detail[1].val + detail[1].unit,
                sameDis: detail[2].sameList.length,
                sameDisList: this.getDisDetailStr(detail[2].sameList),
                sideDis: detail[2].sideList.length,
                sideDisList: this.getDisDetailStr(detail[2].sideList),
                pingDelay: detail[3].val + (" " + detail[3].unit),
                speedTest: detail[4].val + (" " + detail[4].unit),
                webPageTime: detail[5].val + detail[5].unit,
                dhcpTime: detail[6].val + detail[6].unit,
                portalTime: detail[7].val + detail[7].unit
            };
            pointsInfo.push(data);
        }
        var csvStr = this.getCsvStr(header, pointsInfo);
        __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].exportCsv(csvStr, fileName);
    };
    /**
     * 获取csv文本
     * @param header 表头
     * @param pointsInfo 数据
     */
    PointRecordPage.prototype.getCsvStr = function (header, pointsInfo) {
        var csvStr = "";
        var head = header;
        var infoArr = pointsInfo;
        var csvRows = [];
        for (var _i = 0, infoArr_1 = infoArr; _i < infoArr_1.length; _i++) {
            var ele = infoArr_1[_i];
            head.push([ele.positon, ele.testTime, ele.SSID, ele.BSSID, ele.conTime, ele.level, ele.sameDis, ele.sameDisList, ele.sideDis, ele.sideDisList, ele.pingDelay, ele.speedTest, ele.webPageTime, ele.dhcpTime, ele.portalTime]);
        }
        for (var _a = 0, head_1 = head; _a < head_1.length; _a++) {
            var ele = head_1[_a];
            csvRows.push(ele.join(","));
        }
        csvStr = csvRows.join("\n");
        return csvStr;
    };
    PointRecordPage.prototype.getDisDetailStr = function (disArr) {
        var disStr = "\"";
        for (var _i = 0, disArr_1 = disArr; _i < disArr_1.length; _i++) {
            var ele = disArr_1[_i];
            if (!ele.SSID) {
                ele.SSID = "隐藏WiFi";
            }
            var str = ele.SSID + " " + ele.BSSID + " " + ele.level + "dBm CH" + __WEBPACK_IMPORTED_MODULE_2__global_config_g_config__["c" /* GConfig */].netObj[ele.frequency].channel + "\n";
            disStr += str;
        }
        disStr += "\"";
        return disStr;
    };
    /**
     * @name 选中/取消选中交换机
     * @desc 选中/取消选中某项
     * @param {any} [item]
     * @param {any} [event]
     * @func selectItem
     */
    PointRecordPage.prototype.selectItem = function (item, event) {
        if (event._value) {
            this._itemsChecked.add(item);
        }
        else {
            this._itemsChecked.delete(item);
        }
    };
    // 选中全部列表项或全部取消选中
    PointRecordPage.prototype.selectAll = function () {
        if (this._allChecked) {
            this._itemsChecked.clear();
            this._lNavBtnText = "全选";
            this._allChecked = false;
        }
        else {
            this._lNavBtnText = "取消全选";
            this._allChecked = true;
        }
    };
    PointRecordPage.prototype.in_selected = function (item) {
        var time = item.time;
        var is_exist = false;
        var apps = Array.from(this._itemsChecked);
        for (var _i = 0, apps_1 = apps; _i < apps_1.length; _i++) {
            var app = apps_1[_i];
            if (time == app.time) {
                is_exist = true;
                break;
            }
        }
        return is_exist;
    };
    // 进入编辑模式，批量编辑列表
    PointRecordPage.prototype.edit = function () {
        if (this.sliding_item) {
            this.sliding_item.close();
            console.log('11111');
        }
        this._itemsChecked.clear();
        this._enableEdit = !this._enableEdit;
        this._allChecked = false;
        if (this._enableEdit) {
            this._lNavBtnText = "全选";
            this._rNavBtnText = "取消";
        }
        else {
            this._lNavBtnText = "取消全选";
            this._rNavBtnText = "编辑";
        }
    };
    // 批量编辑
    PointRecordPage.prototype.editAll = function () {
        var _this = this;
        if (!this._itemsChecked.size) {
            __WEBPACK_IMPORTED_MODULE_3__util_util__["b" /* Common */].showToast('请勾选记录后再操作');
            return;
        }
        var message = '删除后数据不可恢复，确定删除所选记录？';
        var alert = this.alertCtrl.create({
            title: '',
            message: message,
            buttons: [
                {
                    text: "取消",
                    handler: function () {
                    }
                },
                {
                    text: "确定",
                    handler: function () {
                        _this.handlerEditData();
                        _this.edit();
                    }
                }
            ]
        });
        alert.present();
    };
    //处理批量编辑数据
    PointRecordPage.prototype.handlerEditData = function () {
        var _this = this;
        var array = JSON.parse(JSON.stringify(this.recordList));
        var set = new Set(array);
        set.forEach(function (key, value) {
            for (var _i = 0, _a = Array.from(_this._itemsChecked); _i < _a.length; _i++) {
                var iterator = _a[_i];
                if (value.time === iterator.time) {
                    set.delete(value);
                    break;
                }
            }
        });
        this.recordList = Array.from(set);
        __WEBPACK_IMPORTED_MODULE_3__util_util__["c" /* DBOperator */].setKeyValue("pointTestRecord", JSON.stringify(this.recordList));
    };
    // 列表左滑后，定义sliding,以便直接点批量操作按钮时关闭
    PointRecordPage.prototype.logDrag = function (itemSliding) {
        var _this = this;
        setTimeout(function () {
            _this.sliding_item = itemSliding;
        }, 300);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('sliding_item'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ItemSliding */])
    ], PointRecordPage.prototype, "sliding_item", void 0);
    PointRecordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'point-record',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/point-test/point-record/point-record.html"*/'<ion-header>\n\n    <ion-navbar color=\'primary\' hideBackButton="{{_enableEdit}}">\n\n        <ion-buttons *ngIf="_enableEdit" start>\n\n            <button ion-button (click)="selectAll()">\n\n              {{_lNavBtnText}}\n\n            </button>\n\n          </ion-buttons>\n\n        <ion-title>\n\n            历史记录\n\n        </ion-title>\n\n        <ion-buttons end>\n\n            <button ion-button icon-only (click)="edit()" *ngIf="recordList.length">\n\n                <!-- <ion-icon name="delete"></ion-icon> -->\n\n                <label>{{_rNavBtnText}}</label>\n\n            </button>\n\n        </ion-buttons>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <ion-list>\n\n        <div *ngFor="let item of recordList, let i = index" class="card-container"\n\n            [ngClass]="{\'show-check\':_enableEdit}">\n\n            <div class="check-bottom" [ngClass]="{\'check-top\':_enableEdit}">\n\n                <ion-checkbox item-left checked="{{_allChecked || in_selected(item) === true}}"\n\n                    (ionChange)="selectItem(item,$event)">\n\n                </ion-checkbox>\n\n            </div>\n\n            <ion-card>\n\n                <ion-item-sliding #sliding_item (ionDrag)="logDrag($event)">\n\n                    <ion-item class="record-item" (click)="toDetail(item)" tappable>\n\n                        <div class="name">{{item.name}}</div>\n\n                        <div class="time">{{item.time}}</div>\n\n                        <img class="enter-icon" item-end src="assets/common/enter.svg">\n\n                    </ion-item>\n\n                    <ion-item-options *ngIf="!_enableEdit">\n\n                        <!-- <button ion-button color="secondary" (click)="export(item, $event)">导出</button> -->\n\n                        <button ion-button color="danger" (click)="del(sliding_item,i, $event)">删除</button>\n\n                    </ion-item-options>\n\n                </ion-item-sliding>\n\n            </ion-card>\n\n        </div>\n\n    </ion-list>\n\n    <ionic-no-data *ngIf="!recordList.length" title="暂时没有保存的记录"></ionic-no-data>\n\n</ion-content>\n\n<ion-footer *ngIf="_enableEdit">\n\n    <div>\n\n        <button ion-button round (click)="editAll()" class="complete-btn">确定</button>\n\n    </div>\n\n</ion-footer>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/point-test/point-record/point-record.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], PointRecordPage);
    return PointRecordPage;
}());

//# sourceMappingURL=point-record.js.map

/***/ }),

/***/ 370:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PointRecordPageModule", function() { return PointRecordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__point_record__ = __webpack_require__(1426);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pub_components_pub_components__ = __webpack_require__(223);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var PointRecordPageModule = (function () {
    function PointRecordPageModule() {
    }
    PointRecordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__point_record__["a" /* PointRecordPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__point_record__["a" /* PointRecordPage */]), __WEBPACK_IMPORTED_MODULE_3__pub_components_pub_components__["a" /* PubComponentsModule */]],
            exports: [__WEBPACK_IMPORTED_MODULE_2__point_record__["a" /* PointRecordPage */]],
            schemas: [__WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]]
        })
    ], PointRecordPageModule);
    return PointRecordPageModule;
}());

//# sourceMappingURL=point-record.module.js.map

/***/ })

});
//# sourceMappingURL=71.js.map