webpackJsonp([78],{

/***/ 1416:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProjectListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_http_service__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_util__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__ = __webpack_require__(58);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ProjectListPage = (function () {
    function ProjectListPage(nav, http, alertCtrl, params) {
        this.nav = nav;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.params = params;
        this.projectSelected = false; //是否有项目被选中
        this.editModel = false; //是否为编辑模式
        this.selectAll = false; // 全选按钮是否选中标识
        this.selectItems = []; //被选中的项目
        this.footer_style = { visibility: 'hidden' };
        this.projectId = this.params.get("projectId");
        this.projectName = this.params.get("projectName");
        this.selectButtonText = '全选';
    }
    //获取工程列表
    ProjectListPage.prototype.getProjectList = function () {
        var _this = this;
        var url = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].GET_PROJECT_LIST_URL;
        var body = {
            keyword: '',
            start: 0,
            limit: 99,
            project_id: this.projectId
        };
        this.http.postOriginalData(body, url, true).then(function (data) {
            // console.log("data=" + JSON.stringify(data));
            if (data && data.success && data.data) {
                _this.projectList = data.data.data;
                if (_this.projectList && _this.projectList.length > 0) {
                    _this.footer_style = {
                        visibility: 'visible'
                    };
                }
                else {
                    _this.footer_style = {
                        visibility: 'hidden'
                    };
                }
                for (var i = 0; i < _this.projectList.length; i++) {
                    if (_this.projectList[i].step == __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].engineerComplete) {
                        _this.projectList[i].status = '(已完成)';
                    }
                    else if (_this.projectList[i].checked_point_total == 0 || !_this.projectList[i].checked_point_total) {
                        _this.projectList[i].status = '(未开始)';
                    }
                    else {
                        _this.projectList[i].status = '(未完成)';
                    }
                }
            }
        });
    };
    ProjectListPage.prototype.ionViewDidEnter = function () {
        this.getProjectList();
    };
    //切换编辑模式
    ProjectListPage.prototype.changeModel = function () {
        this.editModel = !this.editModel;
        if (!this.editModel) {
            this.projectSelected = false;
            this.selectItems = [];
            this.selectAll = false;
            this.selectButtonText = '全选';
            this.second_row_style = {
                marginLeft: '0px'
            };
        }
        else {
            if (this.selectItems.length > 0) {
                this.projectSelected = true;
            }
            else {
                this.projectSelected = false;
            }
            this.second_row_style = {
                marginLeft: '23px'
            };
        }
    };
    // 全选或者全不选
    ProjectListPage.prototype.all_select = function (event) {
        if (event._value) {
            this.selectButtonText = '取消全选';
            this.selectAll = true;
        }
        else {
            this.selectButtonText = '全选';
            this.selectAll = false;
        }
    };
    //item选中事件
    ProjectListPage.prototype.select_item = function (item, event) {
        if (event._value) {
            this.selectItems.push(item.eng_id);
        }
        else {
            var index = void 0;
            for (var i = 0; i < this.selectItems.length; i++) {
                if (this.selectItems[i] == item.eng_id) {
                    index = i;
                }
            }
            this.selectItems.splice(index, 1);
        }
        if (this.selectItems.length > 0) {
            this.projectSelected = true;
            if (this.selectItems.length == this.projectList.length) {
                this.selectButtonText = '取消全选';
                this.selectAll = true;
            }
        }
        else {
            this.projectSelected = false;
            this.selectButtonText = '全选';
            this.selectAll = false;
        }
    };
    //点击进入工程详情页
    ProjectListPage.prototype.getProjectDetail = function (item) {
        if (this.editModel) {
            return;
        }
        if (item.status == '(已完成)') {
            __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].pushPage(this.nav, "ProjectDetailPage", { engineer: item, engId: item.eng_id, engName: item.eng_name });
        }
        else {
            __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].pushPage(this.nav, "NetworkCheckPage", { projectInfo: item });
        }
    };
    //处理item名字
    ProjectListPage.prototype.formatItemName = function (name) {
        if (name.length > 10) {
            return name.slice(0, 10) + "...";
        }
        else {
            return name;
        }
    };
    //下载工程验收报告
    ProjectListPage.prototype.downloadProjectReport = function () {
        var url = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].DOWNLOAD_ITEM_REPORT_URL;
        var body = {
            project_id: this.projectId,
            spectrum: [1, 2],
            language: 'CN',
            type: [7],
            eng_ids: this.selectItems
        };
        this.http.postOriginalData(body, url, true, false, 'blob').then(function (data) {
            // console.log("报告地址为:" + reportUrl);
            if (data && data.code) {
                __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].handleErrorInfo(data.code);
                return;
            }
            var fileName = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getDateString(new Date(), 1) + '.docx';
            if (!__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
                var savePath = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getSavePath();
                var filePath_1 = savePath + fileName;
                var file = new __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__["a" /* File */]();
                file.writeFile(savePath, fileName, data).then(function () {
                    console.log("存储成功");
                    cordova.plugins.fileOpener2.showOpenWithDialog(filePath_1, 'application/vnd.openxmlformats-officedocument.wordprocessingml.document');
                }).catch(function (err) {
                    console.log("存储失败了", err);
                });
            }
        });
    };
    //分享工程验收报告
    ProjectListPage.prototype.shareProjectReport = function () {
        var url = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].DOWNLOAD_ITEM_REPORT_URL;
        var body = {
            project_id: this.projectId,
            spectrum: [1, 2],
            language: 'CN',
            type: [7],
            eng_ids: this.selectItems
        };
        this.http.postOriginalData(body, url, true, false, 'blob').then(function (data) {
            // let reportUrl = window.URL.createObjectURL(data);
            if (data && data.code) {
                __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].handleErrorInfo(data.code);
                return;
            }
            var fileName = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getDateString(new Date(), 1) + '.docx';
            if (!__WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].debugging) {
                var savePath = __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].getSavePath();
                var filePath_2 = savePath + fileName;
                var file = new __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__["a" /* File */]();
                file.writeFile(savePath, fileName, data).then(function () {
                    console.log("存储成功");
                    window.plugins.socialsharing.share(null, null, filePath_2);
                }).catch(function (err) {
                    console.log("存储失败了", err);
                });
            }
        });
    };
    ProjectListPage.prototype.showNotice = function (type) {
        console.log('type=' + type);
        var msg = '请选择工程';
        __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].showToast(msg);
    };
    ProjectListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'project-list',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/engineer/project-list/project-list.html"*/'<ion-header>\n\n    <ion-navbar color=\'primary\'>\n\n        <ion-title>\n\n            {{projectName}}\n\n        </ion-title>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content id="content">\n\n    <div *ngIf="projectList&&projectList.length>0">\n\n        <div class="list_title" *ngIf="!editModel">\n\n            <div class="label">工程列表</div>\n\n            <div class="bottom_line"></div>\n\n            <div class="title_end" (click)="changeModel()" tappable>\n\n                <img class="select_img" src=\'assets/common/select_option.svg\'>\n\n                <div class="select_div">选择</div>\n\n            </div>\n\n        </div>\n\n        <div class="list_title" *ngIf="editModel">\n\n            <ion-checkbox checked="{{selectAll}}" color="checkboxColor" (ionChange)="all_select($event)"></ion-checkbox>\n\n            <div class="select_label">{{selectButtonText}}</div>\n\n            <div class="title_end">\n\n                <div class="complete_div" (click)="changeModel()" tappable>完成</div>\n\n            </div>\n\n        </div>\n\n        <ion-list class="project-list">\n\n            <ion-item class="check-item" (click)="getProjectDetail(item)"\n\n                *ngFor="let item of projectList, let i = index" tappable>\n\n                <div class="name">\n\n                    <ion-checkbox checked="{{selectAll}}" color="checkboxColor" *ngIf=\'editModel\'\n\n                        (ionChange)="select_item(item,$event)">\n\n                    </ion-checkbox>\n\n                    <div class="item_name">{{formatItemName(item.eng_name)}}</div>\n\n                    <div class="item_status" *ngIf="item.status==\'(未完成)\'">{{item.status}}</div>\n\n                    <div class="not_begin_item_status" *ngIf="item.status==\'(未开始)\'">{{item.status}}</div>\n\n                    <div class="complete_item_status" *ngIf="item.status==\'(已完成)\'">{{item.status}}</div>\n\n                </div>\n\n                <div class="second_row" [ngStyle]=\'second_row_style\'>\n\n                    <div class="point_not_checked">\n\n                        待测点位:{{item.not_checked_point_total?item.not_checked_point_total:0}}</div>\n\n                    <div class="point_checked">已测点位:{{item.checked_point_total?item.checked_point_total:0}}</div>\n\n                    <!-- <div class="update_time">{{item.update_time}}</div>  -->\n\n                </div>\n\n                <img class="enter-icon" item-end src="assets/common/enter.svg" *ngIf=\'!editModel\'>\n\n            </ion-item>\n\n        </ion-list>\n\n    </div>\n\n\n\n    <div class="center-block" *ngIf="projectList&&projectList.length==0">\n\n        <img src=\'assets/common/no_item_list.svg\'>\n\n        <div class="noDataHint">暂无工程信息</div>\n\n        <div class="noDataHint">请前往信锐iPlan云工勘平台添加工程</div>\n\n    </div>\n\n</ion-content>\n\n\n\n<ion-footer [ngStyle]="footer_style">\n\n    <div class="operation">\n\n        <div class="first-border-div" *ngIf=\'!projectSelected\' (click)="showNotice(\'down\')" tappable>\n\n            <img src="assets/common/download_disable.svg">\n\n            <div class="disable_div">下载验收报告</div>\n\n        </div>\n\n        <div class="sperate_line" *ngIf=\'!projectSelected\'></div>\n\n        <div class="second-border-div" *ngIf=\'!projectSelected\' (click)="showNotice(\'share\')" tappable>\n\n            <img src="assets/common/share_report_disable.svg">\n\n            <div class="disable_div">分享验收报告</div>\n\n        </div>\n\n\n\n        <div class="first-border-div" (click)=\'downloadProjectReport()\' *ngIf=\'projectSelected\' tappable>\n\n            <img src="assets/common/download.svg">\n\n            <div class="normal_div">下载验收报告</div>\n\n        </div>\n\n        <div class="sperate_line" *ngIf=\'projectSelected\'></div>\n\n        <div class="second-border-div" (click)=\'shareProjectReport()\' *ngIf=\'projectSelected\' tappable>\n\n            <img src="assets/common/share_report.svg">\n\n            <div class="normal_div">分享验收报告</div>\n\n        </div>\n\n    </div>\n\n</ion-footer>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/engineer/project-list/project-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__util_http_service__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */]])
    ], ProjectListPage);
    return ProjectListPage;
}());

//# sourceMappingURL=project-list.js.map

/***/ }),

/***/ 360:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProjectListPageModule", function() { return ProjectListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__project_list__ = __webpack_require__(1416);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProjectListPageModule = (function () {
    function ProjectListPageModule() {
    }
    ProjectListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__project_list__["a" /* ProjectListPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__project_list__["a" /* ProjectListPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_2__project_list__["a" /* ProjectListPage */]],
            schemas: [__WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]]
        })
    ], ProjectListPageModule);
    return ProjectListPageModule;
}());

//# sourceMappingURL=project-list.module.js.map

/***/ })

});
//# sourceMappingURL=78.js.map