webpackJsonp([79],{

/***/ 1417:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PointRecordListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__util_http_service__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__util_util__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var PointRecordListPage = (function () {
    function PointRecordListPage(nav, http, alertCtrl, params) {
        this.nav = nav;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.params = params;
        this.recordList = []; //点位的历史记录列表
        this.itemSliding = null; //滑动列表对象
        this.pointId = this.params.get('pointId');
        this.pointName = this.params.get('pointName');
        this.updateTime = this.params.get('updateTime');
        this.projectId = this.params.get('projectId');
        this.testResult = this.params.get('testResult');
        this.getRecordList();
    }
    //获取点位历史记录列表
    PointRecordListPage.prototype.getRecordList = function () {
        var _this = this;
        __WEBPACK_IMPORTED_MODULE_4__util_util__["c" /* DBOperator */].getKeyValue(this.pointId).then(function (data) {
            if (data) {
                _this.recordList = JSON.parse(data);
                //按照时间降序排序
                _this.recordList.sort(function (a, b) {
                    return b.time < a.time ? -1 : 1;
                });
                if (_this.testResult) {
                    var haveResult = false; //用于判断本地是否有云上最优的历史记录
                    var bestItemIndex = 0;
                    for (var i = 0; i < _this.recordList.length; i++) {
                        //标记最优点位
                        if (_this.recordList[i].time == _this.testResult.time) {
                            haveResult = true;
                            _this.recordList[i].status = 'best';
                            bestItemIndex = i;
                        }
                        else {
                            _this.recordList[i].status = 'normal';
                        }
                    }
                    if (!haveResult) {
                        _this.testResult.status = 'best';
                        _this.recordList.unshift(_this.testResult);
                    }
                    else {
                        _this.recordList.splice(bestItemIndex, 1);
                        _this.testResult.status = 'best';
                        _this.recordList.unshift(_this.testResult);
                    }
                }
                if (_this.recordList.length > 10) {
                    _this.recordList = _this.recordList.splice(0, 10);
                }
                console.log("recordList=" + data);
            }
            else {
                if (_this.testResult) {
                    _this.testResult.status = 'best';
                    _this.recordList.push(_this.testResult);
                }
                else {
                    console.log('点位没有测试记录！');
                }
            }
        });
    };
    //点击进入测试结果详情页
    PointRecordListPage.prototype.toRecordDetail = function (item) {
        __WEBPACK_IMPORTED_MODULE_4__util_util__["b" /* Common */].pushPage(this.nav, "PointRecordDetailPage", { item: item, pointName: this.pointName, pointId: this.pointId, projectId: this.projectId });
    };
    //标记为最优
    PointRecordListPage.prototype.makeBest = function (sliding_item, item) {
        var _this = this;
        console.log(item);
        console.log("标记为最优！");
        if (sliding_item) {
            sliding_item.close();
        }
        var message = '确定标记为最优？';
        var alert = this.alertCtrl.create({
            title: '',
            message: message,
            buttons: [
                {
                    text: "取消",
                    handler: function () {
                    }
                },
                {
                    text: "确定",
                    handler: function () {
                        item.best = 1; //best字段为1表示手动标记为最优
                        _this.updateTestResult(item);
                    }
                }
            ]
        });
        alert.present();
    };
    //删除
    PointRecordListPage.prototype.delete = function (sliding_item, index, e) {
        var _this = this;
        console.log("删除该记录");
        if (sliding_item) {
            sliding_item.close();
        }
        var message = '删除后数据不可恢复，确定删除当前记录？';
        var alert = this.alertCtrl.create({
            title: '',
            message: message,
            buttons: [
                {
                    text: "取消",
                    handler: function () {
                    }
                },
                {
                    text: "确定",
                    handler: function () {
                        e.stopPropagation();
                        _this.recordList.splice(index, 1);
                        __WEBPACK_IMPORTED_MODULE_4__util_util__["c" /* DBOperator */].setKeyValue(_this.pointId, JSON.stringify(_this.recordList));
                    }
                }
            ]
        });
        alert.present();
    };
    //上传点位测试结果
    PointRecordListPage.prototype.updateTestResult = function (item) {
        var _this = this;
        var url = __WEBPACK_IMPORTED_MODULE_3__global_config_g_config__["c" /* GConfig */].MODIFY_POINT_URL;
        var body = {
            eng_id: this.projectId,
            test_id: this.pointId,
            update_time: this.updateTime,
            test_result: item,
            acceptance: item.acceptance
        };
        this.http.postOriginalData(body, url, false).then(function (data) {
            console.log("data=" + JSON.stringify(data));
            if (data && data.success) {
                console.log("上传测试结果成功！");
                //标记为最优的逻辑
                var tempArray = [];
                var bestItem = void 0;
                for (var i = 0; i < _this.recordList.length; i++) {
                    if (_this.recordList[i].time == item.time) {
                        item.status = 'best';
                        bestItem = item;
                    }
                    else {
                        _this.recordList[i].status = 'normal';
                        tempArray.push(_this.recordList[i]);
                    }
                }
                tempArray.sort(function (a, b) {
                    return b.time < a.time ? -1 : 1;
                });
                tempArray.unshift(bestItem);
                _this.recordList = tempArray;
                if (data.data && data.data.update_time) {
                    _this.updateTime = data.data.update_time;
                }
            }
        });
    };
    PointRecordListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'point-record-list',template:/*ion-inline-start:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/engineer/point-record-list/point-record-list.html"*/'<ion-header>\n\n    <ion-navbar color=\'primary\'>\n\n        <ion-title>\n\n            历史记录\n\n        </ion-title>\n\n    </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n    <div class="description" *ngIf="recordList.length>0">相应项目向左滑，可标记为最优测试结果，显示在项目验收报告</div>\n\n    <ion-list *ngIf="recordList.length>0">\n\n        <ion-item-sliding *ngFor="let item of recordList, let i = index" #sliding_item>\n\n            <ion-item class="check-item" (click)="toRecordDetail(item)" tappable>\n\n                <div class="item_left">\n\n                    <div class="time">{{item.time}}</div>\n\n                    <img class="marker_img" src=\'assets/common/marked.svg\' *ngIf="item.status==\'best\'">\n\n                    <label\n\n                        [ngClass]="{\'bad\':item.evaluate === \'不合格\',\'good\':item.evaluate === \'优秀\'}">{{item.averageScore}}</label>\n\n                </div>\n\n                <img class="enter-icon" item-end src="assets/common/enter.svg">\n\n            </ion-item>\n\n\n\n            <ion-item-options side="end" *ngIf="item.status!=\'best\'">\n\n                <ion-item-option>\n\n                    <button ion-button (click)="makeBest(sliding_item,item)" class="make_best">\n\n                        标记为最优\n\n                    </button>\n\n                </ion-item-option>\n\n                <ion-item-option>\n\n                    <button ion-button (click)="delete(sliding_item,i, $event)" class="delete">\n\n                        删除\n\n                    </button>\n\n                </ion-item-option>\n\n            </ion-item-options>\n\n        </ion-item-sliding>\n\n    </ion-list>\n\n    <div class="center-block" *ngIf="!recordList.length>0">\n\n        <img src=\'assets/common/no_item_list.svg\'>\n\n        <div class="noDataHint">该点位暂无测试结果，请先进行点位测试后再查看</div>\n\n    </div>\n\n\n\n</ion-content>'/*ion-inline-end:"/Users/wangshiyong/Desktop/项目/wifiBox-翻译/src/pages/magic-box/engineer/point-record-list/point-record-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__util_http_service__["a" /* HttpService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavParams */]])
    ], PointRecordListPage);
    return PointRecordListPage;
}());

//# sourceMappingURL=point-record-list.js.map

/***/ }),

/***/ 361:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PointRecordListPageModule", function() { return PointRecordListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(17);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__point_record_list__ = __webpack_require__(1417);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PointRecordListPageModule = (function () {
    function PointRecordListPageModule() {
    }
    PointRecordListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_2__point_record_list__["a" /* PointRecordListPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__point_record_list__["a" /* PointRecordListPage */])],
            exports: [__WEBPACK_IMPORTED_MODULE_2__point_record_list__["a" /* PointRecordListPage */]],
            schemas: [__WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]]
        })
    ], PointRecordListPageModule);
    return PointRecordListPageModule;
}());

//# sourceMappingURL=point-record-list.module.js.map

/***/ })

});
//# sourceMappingURL=79.js.map