cordova.define("cordova-plugin-networkinterface.ping", function(require, exports, module) {
var utils = require('cordova/utils'),
  exec = require('cordova/exec'),
  cordova = require('cordova');

function Ping(ipList) {
  this.results = null;
  this.onprogress = null;
}
// iOS ipList example ：["www.baidu.com", 1, 16] --> host, interval (s), size
// Andorid ipList example: [host: "www.baidu.com", params: "-i 1 -s 16"]
Ping.prototype.ping = function (ipList, success, err) {
  var successCallback, errorCallback, self;
  self = this;
  successCallback = function (r) {
    self.results = r;
    if (r.isOutLine) {
      if (self.onprogress && typeof self.onprogress === 'function') {
        self.onprogress(r);
      }
    } else if (success && typeof success === 'function') {
      success(r);
    }
  };
  errorCallback = function (e) {
    if (err && typeof err === 'function') {
      err(e);
    }
  };
  exec(successCallback, errorCallback, "Ping", "getPingInfo", ipList);
};

Ping.prototype.stopPing = function (success, err) { //新增
  var successCallback, errorCallback;
  successCallback = function (r) {
    success(r)
  };
  errorCallback = function (e) {err(r)};
  exec(successCallback, errorCallback, "Ping", "stopPing");
};

// ios arguments test (用于测试)
Ping.prototype.getArg = function([host, interval, size],success, err) {
  var successCallback, errorCallback;
  successCallback = function(r) {
    success(r)
  };
  errorCallback = function(r){err(r)};
  exec(successCallback, errorCallback, "Ping", "getArg", [host, interval, size]);
}

module.exports = Ping;

});
